ET GeoTools

ET GeoTools is a set of tools for ArcGIS which purpose is to increase the editing productivity in ArcMap, give enhanced editing functionality to the ArcView users and enable them to create and maintain topologically correct datasets.

The tools are designed mainly for users with ArcView license, but will be asset for ArcEditor & ArcInfo license holders as well.

The tools are located on five toolbars:

  • ET GeoTools

  • ET Attributes

  • ET Cogo

  • ET Miscellaneous

  • ET Graphics

Highlights:

  • Productivity – performing editing tasks in a fast and efficient way
  • Identifying topology errors – draw nodes and duplicates for polyline layers, gaps and overlaps for polygon layers
  • Correcting topology errors – on shapefile and geodatabase layers
  • Adding new geometries and maintaining topological relationships between the features
  • Gives to ArcView users some editing tools standardly available to ArcEditor & ArcInfo license holders only – generalize, smooth, creating polygons from polylines, etc.
  • Offers usage of attribute update rules (including ranges – not available in any ArcGIS license) when splitting or merging polylines from shapefile or geodatabase layers
  • Allows capturing spatial data together with the attributes which significantly improves the performance of capturing data
  • Offers productive way of copying, editing and pasting attribute data
  • Users with ArcView licenses can edit the attributes of simple SDE feature classes
  • COGO tools that can be used with any ArcGIS license (ArcView, ArcEditor, ArcInfo)
Copyright © Ianko Tchoukanski


ET GeoTools Installation

Installation instructions

Important note: If you have ET GeoTools installed and plan to uninstall ArcGIS you MUST first uninstall ET GeoTools

Note that you have to be logged as an Administrator on the machine you are installing ET GeoTools

  • Make sure that you have the sub version of ET GeoTools appropriate for your ArcGIS version.
  • If you have a previous version of ET GeoTools installed, uninstall it first.
  • Unzip ETGeoToolsXX.zip - the archive contains 2 files
    • ETGeoToolsXXX_YYY_Setup.msi - the XXX number indicates the ET GeoTools version (100 stands for 10.0), the YYY number indicates the version of ArcGIS this install is created for (100 means ArcGIS 10 and 92 means ArcGIS 9.2, 9.3 and 9.3.1)
    • setup.exe
  • Run the setup.exe file - a simple installation wizard will guide you through the process.
    • The best location to install the files is the hard disk where ArcGIS resides or your system disk

If you restart ArcMap the following toolbars will be available

  • ET GeoTools10
  • ET Attributes10
  • ET GOGO10
  • ET Graphics10
  • ET Miscellaneous10

Depending on your ArcGIS version you can display the toolbars in ArcMap:

  • ArcGIS 9.2, 9.3 and 9.3.1 - Go to View ==> Toolbars and select the toolbar you want to use.
  • ArcGIS 10 and above - Go to Customize ==> Toolbars and select the toolbar you want to use.

Note:

ET GeoTools runs in DEMO mode until registered.

  • The Demo mode has the following limitations
    • Some of the features are free - do not have any restrictions with the DEMO version. See ET GeoTools - free tools for a list
    • The rest of the functions have restriction of 100 features in the target layer
  • See How to Register ET GeoTools for registration information


ETGT_GetStarted

ET GeoTools Getting Started

Most of the tools of ET GeoTools work within an Editing Session and depending on the geometry type of the currently edited layer. The topics on each of the tools in the User Guide indicates the type of the edited layer you can use the tool on.

To start an Editing Session you need to

  1. Open the Editor toolbar

    • ArcGIS 9.x - View ==> Toolbars ==> Editor

    • ArcGIS 10.x - Customize ==> Toolbars ==> Editor

  2. On the Editor toolbar click Editor ==> Start Editing

  3. Select layer to be edited. This task depends on the ArcGIS version

    • ArcGIS 9.x - set the target using the combo box provided on the Editor Toolbar.

    • ArcGIS 10.x - two possible ways depending on your advanced ArcGIS settings. To access the Advanced settings go using Windows explorer to "..\ArcGIS\Desktop10.0\Utilities" and run "AdvancedArcMapSettings.exe". In the dialog select the Editor tab. If you uncheck the "Create features using templates" checkbox, the classic Editor toolbar will be available when you restart ArcMap. If the "Create features using templates" checkbox is checked the new Editor toolbar will be available in ArcMap

      • Classic Editor toolbar - the same as in ArcGIS 9.x (see above)

      • Create features using templates. There is no "Target" box on the Editor toolbar. The current edited layer is set in the Create Features panel which opens when an Editing Session is started.
        For each layer you need to have a template in order to be able to edit it. The target edited layer is the layer for which a template is selected.

        Notes:

        The tools of ET GeoTools do not depend on the template selected, but just on the layer to which the selected template belongs.

        The templates are based on a single attribute only. If you are using the standard digitizing tools you need to adjust the rest of the attributes for the digitized feature afterwards.

        If you use the Draw Features with Attributes tools of ET GeoTools you can add values for as many attributes as you wish together with the digitized feature.


ET GeoTools - How To Register

A. Single Use license

The registration process involves three steps

  1. Visit ET GeoTools page on ShareIt.com and order the program. You will receive a reference number for your order.
  2. Click [image] button to open ET GeoTools control panel ==> select the About Tab. - click Request License Key button. Fill the small form - all the fields are required.
    • User Name
    • Company
    • ShareIt reference number ( see Step 1)

    After filling the form there are two options to chose from:

    • Create Key Request File will write all the information to a file (*.et2). Send this file to register@ian-ko.com and in 24 hours you will receive the Key File that will unlock the full version
    • Send Key Request via e-mail. This option will open you default e-mail program with all necessary information. You just have to click the SEND button

    Important note:

    Do not change anything in the request file or the body of the generated message. It will cause the registration process to fail.

  3. When you receive the Key File , save the attachment (*.ett file) to you hard disk. Click on Register button (ET GeoTools control panel ==> About Tab). In the form, click on Load Key File button. Select the received file. The ET GeoTools control panel will close. The program will be registered.

Important note:

Do not change anything in the Key File. It will cause the registration process to fail.

B. Concurrent license

ET LicenseManager should be installed on a PC on your network

  1. Contact your system administrator and get the following information:
    • The Name or IP address of the PC where the ET LicenseManager is installed
    • The TCP port on which the ET License Manager communicates
  2. Click on the [image] button to open ET GeoTools control panel.
  3. Click on the About Tab
  4. Click on the Connect To License Server button
  5. In the dialog fill
    • License Server - fill the network name or the IP Address of the license server
    • TCP Port - fill the port number
  6. Click on the Test License Server button
  7. If a connection to the license server is established, click OK to save the settings. You are ready to work.
  8. If the test fails - contact your system administrator.


ET GeoTools and the Projections

Some short definitions (compiled from ArcGIS desktop help)

  • Projection - The two-dimensional representation of the three-dimensional space.
  • Coordinate System - a reference system for measurements defined by the projection
    • Geographic Coordinate System (GCS) - measures locations in degrees - latitude and longitude. Since latitude and longitude are angular measurements they are not suitable for measuring distances. The major parameter of a Geographic Coordinate System is its datum
    • Projected Coordinate System (PCS) - uses a projection to transform the latitude and longitude to X and Y coordinates and makes the linear measurements more accurate. Each projected coordinate system is based on a Geographic Coordinate System
  • Spatial Domain - the range and precision of coordinates that can be stored in a feature dataset
  • Spatial Reference - contains information for the coordinate system and spatial domain extent for a feature dataset

Projections of the data ( for shapefiles the projection information is stored in the shapefilename.prj file)

  • Projected data - the data is explicitly projected in a Projected Coordinate System
  • Unprojected data - the data is in a Geographic Coordinate System
  • Data with unknown projection - the projection information ( in the case of shapefiles - "shapefilename.prj") is missing

Projections of the data frame (View)

  • No projection - the data is displayed as is
  • Assigned projection - the data is reprojected on the fly and displayed in the data frame's projection.

Important notes:

  • It is strongly recommended the projections of the edited layer and the data frame (the view) are the same when editing.
  • The functions of ET GeoTools check the projections of the data frame and the edited layer and if different project on the fly between the two therefore all the tools will work if the spatial reference of the edited layer is different from the one of the data frame
  • If the geographic coordinate systems of the spatial references of the edited layer and the data frame are different the attempt to project the shapes between the two might fail - NEVER edit data in a data frame that has different GCS from the layer to be edited


ET GeoTools control panel

The control panel of ET GeoTools is accessible via the ET button [image]. It is used to adjust the behavior of all the tools. The control panel is a tabbed dialog with 5 tabs. A quick setting for the parameters for some of the tools is available via the hot keys when a tool is active. See Hot Keys topic for a list of the hot keys used for the different tools.

  • Attribute update rules tab: Allows setting rules for transferring attributes after split & union operations performed on polyline or polygon features.
  • Draw tab: Allows setting the parameters for the tools that draw graphics
  • Polyline Edit Settings tab: Allows adjustment of the parameters used in the tools for editing polyline layers.
  • Polygon Edit Settings tab: Allows adjustment of the parameters used in the tools for editing polygon layers.
  • About ET GeoTools tab: Gives information about the software, links for support and enquiries and allows registering the software


ET GeoTools control panel - Attribute update rules tab

Allows setting rules for transferring attributes after split & union operations performed on polyline or polygon features. Depending on a data source of the layer, the settings are written in:

  • Shapefile layers: A text file with the name of the shapefile and extension ".eta". For example the attribute rules for s_fran.shp will be stored in s_fran.eta.
  • Geodatabase (GDB) layers: A new table with the name of the GDB feature class with suffix "_ETAttributeRules". For example the attribute rules for S_Fran feature class will be stored in a table S_Fran_ETAttributeRules in the geodatabase.

The user can select any layer from the data frame to create or change attribute update rules for it. The setting of the rules is possible only outside of an editing session. If the layer does not have rules assigned the grid will be populated with the default values for each field. Clicking on a cell from the grid will let the user to change the rule for the corresponding field. When finished assigning rules for a layer, click on the "Apply" button to save the changes made. Clicking the "Restore Saved" button at any time before applying the changes will load the previously saved settings or default values (if no settings for the layer have been saved.

Split Rules: Used with all tools that perform split of an existing feature:

  • Text field:
    • Copy - copies attributes over from original.
    • Empty - the resulting attributes will be blank
    • Range Address - requires selecting a paired field. Treats the paired fields as address ranges. The parity of the values is maintained, so if the address range is even the results will be even values, and if the address range is odd the results will be odd values.
    • Range Continuous - requires selecting a paired field. Treats the paired fields as continuous values. The parity of the values is not maintained, so resulting values in the range can be even or odd.
  • Numeric field:
    • Copy - copies attributes over from original.
    • Proportion - attribute values will be proportioned using a area-weight for polygons or length-weight for polylines.
    • Range Address - requires selecting a paired field. Treats the paired fields as address ranges. The parity of the values is maintained, so if the address range is even the results will be even values, and if the address range is odd the results will be odd values.
    • Range Continuous - requires selecting a paired field. Treats the paired fields as continuous values. The parity of the values is not maintained, so resulting values in the range can be even or odd.

Union Rules: Used with all tools that perform union of two or more existing features:

  • Text field:
    • First - the value of the first feature to be union will be preserved
    • Last - the value of the last feature to be union will be preserved
    • Range Address- requires selecting a paired field. Treats the paired fields as address ranges. The parity of the values is maintained, so if the address range is even the results will be even values, and if the address range is odd the results will be odd values.
    • Range Continuous - requires selecting a paired field. Treats the paired fields as continuous values. The parity of the values is not maintained, so resulting values in the range can be even or odd.
  • Numeric field:
    • First - the value of the first feature to be union will be preserved
    • Last - the value of the last feature to be union will be preserved
    • Minimum - the minimum value of the features to be union will be used
    • Maximum - the maximum value of the features to be union will be used
    • Average - the average value of all features to be union will be saved
    • Sum- the sum of all values of all features to be union will be saved
    • Range Address- requires selecting a paired field. Treats the paired fields as address ranges. The parity of the values is maintained, so if the address range is even the results will be even values, and if the address range is odd the results will be odd values.
    • Range Continuous - requires selecting a paired field. Treats the paired fields as continuous values. The parity of the values is not maintained, so resulting values in the range can be even or odd.

Note: For some of the polygon tools the rules are still not implemented.


ET GeoTools control panel - Polyline Edit Settings tab

Allows adjustment of the parameters used in the tools for editing polyline layers.

Note: A quick setting for the parameters for most of the tools is available via the hot keys when a tool is active. See Hot Keys topic for a list of the hot keys used for the different tools.

  • Fuzzy/Cluster tolerance panel allows viewing the defaults for selected layer and setting the Fuzzy tolerance to be used. It is highly recommended to check the default values for the current edited layer before assigning the value for the fuzzy tolerance. Using incorrect (too large or too small) values might lead to undesirable results when editing!!!
  • Enter parameters for each operation: If the boxes against the functions are checked, the user will be prompted for parameters each time a tool is used. If the box is not checked the corresponding tool will use the parameters already set. The parameters can be set in the Control Panel or by using the Hot Keys when the tools are active
  • Smooth: Sets permanent parameters for the smooth tools. If the corresponding box in the "Enter parameters for each operation" is checked these parameters are ignored and the user is prompted for a parameter each time the tool is used.
  • Generalize/Densify: Sets permanent parameters for the Generalize, Densify and Densify By Angle tools. If the corresponding box in the "Enter parameters for each operation" is checked these parameters are ignored and the user is prompted for a parameter each time the tool is used.
  • Offset: Sets permanent parameters for the Offset tools. If the corresponding box in the "Enter parameters for each operation" is checked these parameters are ignored and the user is prompted for a parameter each time the tool is used. The type of offset can be set only in the Control Panel
  • Add Polyline Action: This setting defines how the tools that add a new polyline to a layer ("Draw Polyline", " Copy Features from other layer", "Draw Spline" will behave. A Hot Key is available to set this parameter when the functions are active.
  • Polygon As Polyline Action: This setting defines how the tools that add a polygon to a polyline layer ("Draw Polygon", " Copy Features from other layer", "Draw Polygon", "Draw Circle", "Draw Donut") will behave. A Hot Key is available to set this parameter when the functions are active.

The changes need to be saved with the "Apply" button in order to take effect.

The "Restore Defaults" button loads the default settings for all the tools.


ET GeoTools control panel - Polygon Edit Settings tab

Allows adjustment of the parameters used in the tools for editing polyline layers.

Note: A quick setting for the parameters for most of the tools is available via the hot keys when a tool is active. See Hot Keys topic for a list of the hot keys used for the different tools.

  • Fuzzy/Cluster tolerance panel allows viewing the defaults for selected layer and setting the Fuzzy tolerance to be used. It is highly recommended to check the default values for the current edited layer before assigning the value for the fuzzy tolerance. Using incorrect (too large or too small) values might lead to undesirable results when editing!!!
  • Add Polygon Priority: This setting defines how the tools that add a new polygon to a layer ("Draw Polygon", "Draw Circle", "Draw Donut" "Draw Polyline", " Copy Features from other layer", "Draw Spline") will behave. A Hot Key is available to set this parameter when the tools are active. See The concept of Polygon editing used in ET GeoTools for details.
  • Reshape Polygon Priority: This setting defines how the Reshape Polygon Tool will behave. A Hot Key is available to set this parameter when the tool is active.
  • Use True Arcs: If the "Use True Arcs for circles and donuts" box is checked and the source of the target layer is a Geodatabase one, the "Draw Circle" and "Draw Donut" tool will create true arcs, otherwise the circles and donuts will be represented by a piecewise linear approximation of themselves. If the source of the target layer is a shapefile (shapefiles do not support true arcs) or the box is not checked, The densify parameters will be used on the drawn circle or donut before storing them. Note: ArcGIS has internal problems with overlay operations performed on polygons defined with true arcs. It is highly recommended to use linear approximation of the circles and donuts if they are going to be used in overlay operations.

The changes need to be saved with the "Apply" button in order to take effect.

The "Restore Defaults" button loads the default settings for all the tools.


ET GeoTools control panel - Draw tab

Allows setting the parameters for the tools that draw graphics in the data frame:

  • Draw Nodes Tool - Polyline layers
  • Draw Arrows - Polyline layers
  • Draw Duplicate Polylines - Polyline layers
  • Draw Gaps - Polygon layers
  • Draw Overlaps - Polygon layers
  • Draw Vertices - Polyline and Polygon layers

Clicking on the color boxes will allow changing the color for the corresponding tool.

If the corresponding tool is checked, the graphics are drawn for the visible in the view features. In general the functions are fast , but depend on the processing power of the computer. In some cases having two many visible features might slow the redrawing operations. The "Max auto draw features" text box is used for setting up to how many visible features will be analyzed by the functions and the results drawn. The user needs to set this value in order to avoid slowing down the redrawing operations.

The changes need to be saved with the "Apply" button in order to take effect.

The "Restore Defaults" button loads the default settings for all the tools.


ET GeoTools control panel - About tab

Gives information about the software, links for support and enquiries and allows registering the software

  • Request license key: See ET GeoTools How To Register for details

  • Register: See ET GeoTools How To Register for details


List of Hot Keys Used in ET GeoTools

Description: Most of the parameters used in the ET GeoTools functions can be adjusted in the ET GeoTools Control Panel. In order to improve the productivity of the tools, setting of some of the parameters is made available via Hot Keys. Using these keys when the corresponding tool is active will open the appropriate dialog for adjusting of the parameters needed by the tool.

Hot Keys Used:

  • "S" :
    • Extend Polyline Tool - sets the Fuzzy (Cluster) tolerance
    • Intersect Polylines Tool - sets the Fuzzy (Cluster) tolerance
    • Extend Polyline Tool - sets the Fuzzy (Cluster) tolerance
    • Remove Duplicate Polylines Tool - sets the Fuzzy (Cluster) tolerance
    • Remove Duplicate Polylines Tool - sets the Fuzzy (Cluster) tolerance
    • Clean Pseudo Nodes Tool (Dissolve Polylines) - select dissolve field
    • Offset Polyline Tool - sets offset distance
    • Offset Both Sides Tool - sets offset distance
    • Generalize Polyline Tool - sets Maximum offset
    • Densify Polyline Tool - sets Maximum segment length & Deviation value
    • Densify Polyline By Angle Tool - sets Maximum segment length & Deviation Angle
    • Smooth Bezier Tool - sets the Smoothness parameter
    • Smooth B-Spline Tool - sets the Smoothness and Freedom parameters
    • Smooth T-Spline - sets the Smoothness and Tension parameters
    • Draw Circle Tool - sets densification parameters
    • Draw Circle Tool - sets densification parameters
    • Copy features from other layer Tool - sets the Source layer
  • "A"
    • Add Polyline Tool
      • Target - Polyline layer - sets the action to be performed
      • Target - Polygon Layer - sets priority for the polygon to be added.
    • Draw Polygon Tool
      • Target - Polyline layer - sets the action to be performed
      • Target - Polygon Layer - sets priority for the polygon to be added.
    • Draw T-Spline Tool
      • Target - Polyline layer - sets the action to be performed
      • Target - Polygon Layer - sets priority for the polygon to be added.
    • Draw Circle Tool
      • Target - Polyline layer - sets the action to be performed
      • Target - Polygon Layer - sets priority for the polygon to be added.
    • Draw Circular Donut Tool
      • Target - Polyline layer - sets the action to be performed
      • Target - Polygon Layer - sets priority for the polygon to be added.
    • Reshape Polygon Tool - sets priority of the reshape polygon
    • Copy features from other layer Tool
      • Target - Polyline layer - sets the action to be performed
      • Target - Polygon Layer - sets priority for the polygon to be added.
  • "R"
    • Draw Circle Tool - sets the Radius mode ON
    • Draw Circular Donut Tool - sets the Radius mode ON
  • "D"
    • Draw Circle Tool - sets the Drag mode ON
    • Draw Circular Donut Tool - sets the Drag mode ON
  • "W"
    • Draw Circular Donut Tool - sets the Donut width
  • "Shift"
    • Offset Polyline Tool - If pressed - "OFFSET - MOVE" else "OFFSET - COPY"
    • Offset Both Sides Tool - If pressed - "OFFSET - COPY" else "OFFSET - MOVE"
  • "Z" - keeping the key down switches to ZOOM IN mode - most of the tools
  • "X" - keeping the key down switches to ZOOM OUT mode - most of the tools
  • "C" - keeping the key down switches to PAN mode - most of the tools


ET Commands Menu

Target layer: Depending on the command

Description: The ET Commands menu contains several commands which in general duplicate some of the functions available in the tools. The only difference is that the commands perform the corresponding function on the current selection. The commands are made available for users who prefer to make the selection first and then process the features. Note that the Hot Keys for adjusting the parameters for each function are not available with the commands - they have to be set in the ET GeoTools Control Panel before performing the operation.

  • ET Build Polygons (Target layer - Polygon) - this is the only command that is not available as a tool. The reason for this is that in most of the cases the source polylines must be carefully selected before proceeding with the Build Polygon function. See Build Polygons Command topic for a detailed description.
  • ET Clean Overlaps (Target layer - Polygon) - see Clean Overlaps Tools
  • ET Copy From Layer (Target layer - Polyline, Polygon) - see Copy features from other layer Tool
  • ET Explode Selected (Target layer - Polyline, Polygon) - see Explode Tool
  • ET Flip Selected (Target layer - Polyline) - see Flip Polylines Tool
  • ET Intersect Selected (Target layer - Polyline) - see Intersect Polylines Tool
  • ET Remove Duplicates (Target layer - Polyline) - see Remove Duplicate Polylines Tool
  • ET Generalize Selected (Target layer - Polyline) - see Generalize Densify Polyline Tools
  • ET Densify Selected (Target layer - Polyline) - see Generalize Densify Polyline Tools
  • ET Smooth Bezier (Target layer - Polyline) - see Smooth Polyline Tools
  • ET Smooth B-Spline (Target layer - Polyline) - see Smooth Polyline Tools
  • ET Smooth T-Spline (Target layer - Polyline) - see Smooth Polyline Tools
  • ET Clean Polylines Command (Target layer - Polyline)
  • ET Clean Polygons Command (Target layer - Polygon)
  • Validate Edits (Target layer - Polyline, Polygon).

Note: The Hot Keys for adjusting the parameters for each function are not available with the commands - they have to be set in the ET GeoTools Control Panel before performing the operation.


ET Build Polygons Command

Target layer: Polygon Layer

Description: Builds polygons in the target layer from the selected polylines in the Source layer. The polygons will be added to the target layer with the user specified Priority (see The concept of Polygon editing used in ET GeoTools )

Steps :

  1. Select the polylines from the source layer that will be used to build polygons. Note that the polylines need to have a node in each intersection!!! The Intersect Polylines Tool can be used to ensure this
  2. Click the ET Build Polygons Command. A dialog for selection of a source layer will be introduced ==> Select the polyline layer with already selected polylines. After selecting the source layer, press Enter and the process of building polygons will start.

Advantages:

  • Can be used in any version of ArcGIS (8.1 and above)
  • Can be used with any type of license (ArcView, ArcEditor and ArcInfo)
  • Can be used on layers with source Shapefile and Geodatabase feature class.

Parameters used: The function uses priority in order to preserve correct topological relationships between the new polygons and the existing ones. Adjust the "Add Polygon Priority" in the ET GeoTools Control Panel - Polygon Tab

Notes:

  • A very important condition for achieving good results is to have a clean, topologically correct source polylines. Use the tools available (Intersect Polylines , Clean Duplicates , Extend etc.) to make sure that the source polylines are topologically correct.
  • All the dangling polylines will be ignored.
Input | Result Source polyline layer - "ON" | Result Source polyline layer - "OFF"


ET Clean Polylines Command

Target layer: Polyline Layer

Description: Ensures topological correctness of the target polyline layer.

Steps :

  1. Set a polyline layer as a target in the Editor.
  2. Click the ET Clean Polylines Command. Enter the Fuzzy tolerance in the dialog box that will open.

Results:

  • Nodes will be created in all intersection points
  • Redundant data (vertices and nodes closer to each other than the fuzzy tolerance) will be eliminated.
  • Each set of duplicate lines (closer to each other than the fuzzy tolerance) will be replaced by a single polyline. This polyline will carry the attributes of one of the original polylines

Advantages:

  • Can be used in any version of ArcGIS (8.1 and above)
  • Can be used with any type of license (ArcView, ArcEditor and ArcInfo)

Notes:

  • The command is global and will be applied to the entire target dataset.
  • The default Fuzzy tolerance is calculated from the extents of the input layer using the formulae (W + H) / 2000000 where W and H are the with and height of the extent envelope.
  • ArcGIS 9.2 and above: The Fuzzy tolerance cannot be smaller than the XY resolution of the dataset to be processed.
  • Larger values of the Fuzzy tolerance may be used to clean some bigger Over and Under shoots, but it might lead to unwanted approximation of the input shapes. The better option is to use Fuzzy tolerance close to the default and then clean the remaining Dangling Nodes using the appropriate tools available in ET GeoTools.


ET Clean Polygons Command

Target layer: Polygon Layer

Description: Ensures topological correctness of the target polygon layer.

Steps :

  1. Set a polygon layer as a target in the Editor.
  2. Click the ET Clean Polygons Command. Enter the Fuzzy tolerance in the dialog box that will open.

Results:

  • Redundant data (overlaps and gaps smaller than the fuzzy tolerance) will be eliminated
  • The overlaps greater than the fuzzy tolerance are converted into new polygons.
  • Every new polygon carries the attributes of one of the source overlapping polygons

Advantages:

  • Can be used in any version of ArcGIS (8.1 and above)
  • Can be used with any type of license (ArcView, ArcEditor and ArcInfo)

Notes:

  • The command is global and will be applied to the entire target dataset.
  • The default Fuzzy tolerance is calculated from the extents of the input layer using the formulae (W + H) / 2000000 where W and H are the with and height of the extent envelope.
  • ArcGIS 9.2 and above: The Fuzzy tolerance cannot be smaller than the XY resolution of the dataset to be processed.
  • Larger values of the Fuzzy tolerance may be used to clean some bigger Gaps and Slivers, but it might lead to unwanted approximation of the input shapes. The better option is to use Fuzzy tolerance close to the default and then clean the remaining Gaps and Slivers with the appropriate tools available in ET GeoTools.


ET Draw Nodes

Target layer: Polyline

Description: If switched ON analyzes the nodes of the polylines visible in the view after each refresh of the screen and draws nodes classified by their valence. The symbols for the different types of nodes can be set in the ET GeoTools Control Panel - Draw Tab. The user can adjust also the maximum number of visible features for which the nodes will be analyzed and drawn automatically after each operation that triggers screen refresh. If the visible features are more than the user specified amount, the command is automatically turned off. The default value for the Max Features Auto Redraw is 1000 features. This should work fine on an average PC, but it is entirely up to the user to set this value to any number if it does not slow down the refreshing of the screen. In the Control Panel the user can set also which nodes to be drawn

  • Regular Nodes - nodes in which three or more polylines intersect
  • Pseudo Nodes - nodes in which only two polylines meet
  • Dangling Nodes - nodes with only one pertaining polyline

Advantages:

  • The command allows visualization of the topological relations between the polylines, identifying problems in the topology. Use the tools available in ET GeoTools (Intersect, Clean Dangles, Extend, Clean Pseudo Nodes etc.) to fix such problems.
  • It is not dependant on the Topology introduced in ArcGIS 8.3 and can be used in any version of ArcGIS 8.1 and above
  • Can be used with any license (ArcView, ArcEditor or ArcInfo)

IMPORTANT NOTE:

In ArcGIS 9.2 a per feature class XY Tolerance was introduced when working with geodatabase feature classes. From ArcGIS documentation about the XY Tolerance:

"It is used to resolve inexact intersection locations of coordinates during clustering operations"

This however sometimes creates problems after very simple editing of the data. The Draw Nodes tool has two options for comparing coordinates:

  • Using the precision of the feature class
  • Using the true coordinates

In most of the cases we recommend using the precision of the feature class, but if you finalize data for export to other packages you can select the "Use true coordinate comparison" option in the ET GeoTools Control Panel - Draw Tab. If there are some dangling nodes that are not displayed when using the precision of the feature class option you might try to rectify them using the Clean Polylines command.


ET Draw Duplicate Polylines

Target layer: Polyline

Description: If switched ON analyzes the polylines visible in the view for duplicates after each refresh of the screen and draws the exact duplicates if present. The symbol for the duplicate polylines can be set in the ET GeoTools Control Panel - Draw Tab. The user can also adjust the maximum number of visible features for which the polylines will be analyzed and the duplicates drawn automatically after each operation that triggers screen refresh. If the visible features are more than the user specified amount, the command is automatically turned off. The default value for the Max Features Auto Redraw is 1000 features. This should work fine on an average PC, but it is entirely up to the user to set this value to any number if it does not slow down the refreshing of the screen.

Advantages:

  • The command allows automatic identifying of the duplicates in a polyline dataset. Use Remove Duplicates Tool to correct such problems
  • It is not dependent on the Topology introduced in ArcGIS 8.3 and can be used in any version of ArcGIS 8.1 and above
  • Can be used with any license (ArcView, ArcEditor or ArcInfo)


ET Draw Arrows

Target layer: Polyline

Description: If switched ON draws at the end point of each polyline an arrow displaying the direction of the polyline. The size and color for the arrow symbol can be set in the ET GeoTools Control Panel - Draw Tab. The location of the arrow can be set to the End of the polyline or the Middle of the last segment of the polyline.

The user can adjust also the maximum number of visible features for which the arrows will be drawn automatically after each operation that triggers screen refresh. If the visible features are more than the user specified amount, the command is automatically turned off. The default value for the Max Features Auto Redraw is 1000 features. This should work fine on an average PC, but it is entirely up to the user to set this value to any number if it does not slow down the refreshing of the screen.

Advantages:

  • Nothing much. A good alternative for the directional line symbol allowing quickly to be switched ON and OFF.


ET Draw Vertices

Target layer: Polyline

Description: If switched ON draws at the vertices of the visible polylines. The size and color of the vertex symbol can be set in the ET GeoTools Control Panel - Draw Tab. The user can adjust also the maximum number of visible features for which the vertices will be drawn automatically after each operation that triggers screen refresh. If the visible features are more than the user specified amount, the command is automatically turned off. The default value for the Max Features Auto Redraw is 300 features. This should work fine on an average PC, but it is entirely up to the user to set this value to any number if it does not slow down the refreshing of the screen. Unlike the other drawing commands that work only on the target layer set in the Editor. this function lets the user to set the layer for which the vertices will be drawn. It is available out of an editing session as well.

Advantages:

  • Included mainly due to many requests for such functionality on the ArcGIS user forum. Might be useful when snapping , to identify polylines that need to be generalized etc.


Extend Polyline Tool

Target layer: Polyline

Description: Drag a line in the view. The start point of the selection line will be used for selection of the polyline from the target layer to be extended and the segment of the polyline that will be extended. The length of the selection line will define the max length of the extension. The selected polyline will be extended to the first existing polyline hit by the extension.

Advantages:

  • Can be used in any version of ArcGIS (8.1 and above)
  • The extended polyline can split the line it has been extended to.
  • Attribute update rules (including ranges) can be used to update the attributes after splitting.
  • Single mouse action to perform the task.

Hot Keys (Pressing these keys when the tool is active will allow changing the parameters used by the function):

  • "A" - sets the action to be performed
    • Extend Only
    • Extend & Split - the polyline hit by extending selected polyline will be split by the extension. A new regular node will be introduced
  • "S" - allows adjusting the Fuzzy Tolerance

Attribute Updates: The attributes will be updated according to the attribute update rules defined for the target layer. (see Setting Attribute Update Rules for more information)

Note: Switch ON the Draw Nodes tool to visualize the status of the node topology.

Selecting polyline to be extended | Result Action = "Extend Only" | Result Action = "Extend & Split" Attribute Split Rule = Range Address


Intersect Polylines Tool

Target layer: Polyline

Description: Drag a selection box. All the selected polylines will be intersected with each other ( regular nodes will be created everywhere two polylines intersect). The tool checks for self intersecting polylines and cleans them as well. Similar tool exist in the standard Advanced Editing Toolbar ( Planarize Lines - ArcGIS 8.3 and above, ArcEditor and ArcInfo licenses only).

Advantages:

  • Can be used in any version of ArcGIS (8.1 and above)
  • Can be used with any type of license (ArcView, ArcEditor and ArcInfo)
  • Attribute update rules (including ranges) can be used to update the attributes after splitting.

Hot Keys (Pressing these keys when the tool is active will allow changing the parameters used by the function):

  • "S" - allows adjusting the Fuzzy Tolerance

Attribute Updates: The attributes will be updated according to the attribute update rules defined for the target layer. (see Setting Attribute Update Rules for more information)

Note: Switch ON the Draw Nodes tool to visualize the status of the node topology.

Polylines to be intersected | Result Attribute Split Rule = Range Address


Clean Dangles Tool

Target layer: Polyline

Description: Drag a selection box. All the selected polylines will be intersected with each other ( regular nodes will be created everywhere two polylines intersect). The dangling parts of the polylines entirely within the selection box and with length less than specified dangling tolerance will be removed.

Advantages:

  • multiple dangles removed with a single selection

Hot Keys (Pressing these keys when the tool is active will allow changing the parameters used by the function):

  • "S" - allows adjusting the Fuzzy Tolerance
  • "A" - Adjust the dangling tolerance. Only the dangle polylines shorter than this tolerance will be deleted. If set to 0 all polylines within the selection box will be deleted.

Attribute Updates: The attributes will be updated according to the attribute update rules defined for the target layer. (see Setting Attribute Update Rules for more information)

Note: Switch ON the Draw Nodes tool to visualize the status of the node topology.

Before | Result


Remove Redundant Nodes Tool

Target layer: Polyline

Description: Drag a selection box. All the polylines completely contained in the selection box will be deleted. The nodes within the selection box will be moved to a single location ( the centroid of the convex polygon formed by all the contained nodes)

Advantages:

  • In many cases due to inaccurate digitizing there are small excessive polyline segments. After intersecting these segments are converted into new polylines that need to be removed from the dataset. This tool automates this cleaning process.
Before | Result


Flip Polylines Tool

Target layer: Polyline

Description: Drag a selection box. The direction of all polylines intersected by the selection box will be changed

Advantages:

  • A single step process

Notes:

  • Switch ON the Draw Arrows tool to visualize the direction of the polylines.
  • The direction of polylines selected by other means can be changed with the Flip Selected command (See ET Commands menu)
Before | Result


Clean Pseudo Nodes Tool

Clean Pseudo Nodes Tool (Dissolve Polylines)

Target layer: Polyline

Description: Drag a selection box. All selected polylines with nodes inside of the selection box will be analyzed and those sharing a common pseudo node and same attribute in the user selected dissolve field will be dissolved. Pressing "S" key while the tool is active enables the user to change the dissolve field.

Advantages:

  • Merging multiple polylines with a single action
  • Only polylines sharing a Pseudo node and having the same value in the dissolve field will be dissolved
  • The attributes of the dissolved polylines will be updated according to the attribute update rules
  • The topology will be preserved
  • No multi-part polylines will be created

Hot Keys (Pressing these keys when the tool is active will allow changing the parameters used by the function):

  • "S" - introduces a dialog for selection of dissolve field

Attribute Updates: The attributes will be updated according to the attribute update rules defined for the target layer. (see Setting Attribute Update Rules for more information)

Note: Switch ON the Draw Nodes tool to visualize the status of the node topology.

Before | Result Dissolve field = Name
 | Attribute union update rules: Address range


Remove Duplicate Polylines Tool

Target layer: Polyline

Description: Drag a selection box. All selected polylines will be analyzed and the exact duplicates removed. Fuzzy tolerance is used to compare the polylines

Advantages:

  • Quick and simple way of removing duplicate polylines.
  • Together with "Copy Features from Other Layer Tool" & "Intersect Polylines Tool" allows easy conversion of polygons to topologically correct polylines. See example below.

Hot Keys (Pressing these keys when the tool is active will allow changing the parameters used by the function):

  • "S" - introduces a dialog for adjusting the Fuzzy Tolerance

Note: Switch ON the Draw Duplicates tool to identify duplicate polylines

Original polygons | Polygons copied to the polyline layer | After Intersect Polylines | Draw Duplicates switched ON | After Clean Duplicates
 | Polygons are converted to closed polylines | Nodes introduced at each intersection | The red lines indicate duplicates |


Offset Polyline Tool

Target layer: Polyline

Description: Drag a line in the view. The start point of the selection line will be used for selection of the polyline from the target layer to be offset. The direction of the selection line will indicate the side in which the polyline will be offset. The user can set how outer corners between segments are handled in the ET GeoTools control panel (Polyline Tab). The settings are the same as in the standard ArcMap tool. The offset distance can be set in the control panel or via a hot key while the tool is activated. In the control panel the user can set whether the offset distance dialog to appear for each operation or only when the hot key ("S") is pressed. In the latter case the offset distance assigned will be used by the tool until changed.

The default action is "OFFSET - COPY". If the Shift key is pressed while selecting - "OFFSET - MOVE"

Advantages:

  • Very efficient, no need of dialog to assign offset distance each time the tool is used
  • No need for the user to figure out which is the left and which is the right side of the polyline in order to assign correct sign for the offset distance. This is done visually by the direction of the selection line.
  • The parameters are set once and used by the tool until changed

Hot Keys (Pressing these keys when the tool is active will allow changing the parameters used by the function):

  • "S" - allows adjusting the offset distance
  • "SHIFT" - changes the action. If pressed - "OFFSET - MOVE" else "OFFSET - COPY"

Attribute Updates: The attributes of the original polyline will be preserved

Offset types
Metered | Beveled | Rounded


Offset Both Sides Tool

Target layer: Polyline

Description: Drag a selection box. All polylines intersecting the selection box will be offset in both sides (left & right). The user can set how outer corners between segments are handled in the ET GeoTools control panel (Polyline Tab). The settings are the same as in the standard ArcMap tool. The offset distance can be set in the control panel or via a hot key while the tool is activated. In the control panel the user can set whether the offset distance dialog to appear for each operation or only when the hot key ("S") is pressed. In the latter case the offset distance assigned will be used by the tool until changed.

The default action is "OFFSET - MOVE" - the original polyline will be deleted. If the Shift key is pressed while selecting - "OFFSET - COPY" - the original polyline will be preserved

Advantages:

  • Quick way to convert single polylines (e.g. street centerlines) to double ones. See example below.

Hot Keys (Pressing these keys when the tool is active will allow changing the parameters used by the function):

  • "S" - allows adjusting the offset distance
  • "SHIFT" - changes the action. If pressed - "OFFSET - COPY" else "OFFSET - MOVE"

Attribute Updates: The attributes of the original polyline will be preserved

Original | Offset Both Sides | After using Intersect Polylines Tool and Quick Delete Tool
Offset types
Metered | Bevelled | Rounded


ETOffsetMulti

Multiple Offset Polyline Tool

Target layer: Polyline

Description: Drag a line in the view. The start point of the selection line will be used for selection of the polyline from the target layer to be offset. The direction of the selection line will indicate the side in which the polyline will be offset. A dialog will open where you can set how many times the original polyline will be offset. The user can set how outer corners between segments are handled in the ET GeoTools control panel (Polyline Tab). The settings are the same as in the standard ArcMap tool. The offset distance can be set in the control panel or via a hot key while the tool is activated. In the control panel the user can set whether the offset distance dialog to appear for each operation or only when the hot key ("S") is pressed. In the latter case the offset distance assigned will be used by the tool until changed.

Advantages:

  • Very efficient, no need of dialog to assign offset distance each time the tool is used
  • No need for the user to figure out which is the left and which is the right side of the polyline in order to assign correct sign for the offset distance. This is done visually by the direction of the selection line.
  • The parameters are set once and used by the tool until changed

Hot Keys (Pressing these keys when the tool is active will allow changing the parameters used by the function):

  • "S" - allows adjusting the offset distance
  • "A" - allows setting the number of offset polylines to be created.

Attribute Updates: The attributes of the original polyline will be preserved

Before Offset - the selection line selects the polyline to be offset and defines the direction of the offset | After offset - 5 offset polyline requested


Split Polyline Tools

Target layer: Polyline

Description: The split polyline tools are situated by default on the Split Tool Menu. If some of them are used often they can be added to the ET GeoTools toolbar using Tools ==> Customize. The user specified point is used to select the polyline to be split and at the same time indicates how to split the polyline. A single polyline should be selected with the tool.

  • Split In Point Tool [image] : Splits the polyline closest to the pint clicked in the click point.
  • Split In Closest Vertex [image] : Splits the polyline in the closest to the click point vertex.
  • Split In Middle [image] : Splits the polyline into two parts with equal length
  • Split In All Vertices [image] : Splits the polyline in all vertices - creates single segmented polylines
  • Split With Distance [image] : Splits the polyline in a point user specified distance from the Start point of the polyline along the polyline

Advantages:

  • Split polylines in a single action
  • Attribute update rules (including ranges) can be used to update the attributes after splitting..

Attribute Updates: The attributes will be updated according to the attribute update rules defined for the target layer. (see Setting Attribute Update Rules for more information)

Note: Switch ON the Draw Nodes tool to visualize the status of the node topology.

Before | After Split In Point Attribute Split Rules - Address Range


Generalize_Densify Polyline Tools

Generalize Densify Tools

Target layer: Polyline, Polygon

Description: Drag a selection box. All polylines intersected by the selection box will be Generalized or Densified (depending on the tool used) using the parameters assigned. Note that the same functions are available as commands on ET Commands menu and work on the current selection of the target layer.

The Generalize, Densify & Densify By Angle tools are situated by default on the Generalize Densify Smooth Tool Menu. If some of them are used often they can be added to the ET GeoTools toolbar using Tools ==> Customize.

The parameters for all tools can be set in the control panel or via a hot key while the tool is activated. In the control panel the user can set whether the parameters dialog to appear for each operation or only when the hot key ("S") is pressed. In the latter case the parameters assigned will be used by the tools until changed.

  • Generalize Polyline Tool [image] : Generalizes ( reduces the number of vertices required to represent a polyline ) the features of a polyline layer using the Douglas-Poiker algorithm
    • Parameter - Generalize tolerance (maximum offset) - the maximum distance that the generalized polyline will differ from the original one. Can be set in ET GeoTools control panel or using the hot key "S" while the tool is active
  • Densify Polyline Tool [image] : Densifies ( adds vertices to polyline at a user-specified tolerance ) the features of a polyline layer.
    • Parameters - Can be set in ET GeoTools control panel or using the hot key "S" while the tool is active
      • Maximum segment length
      • Deviation value (Has no impact if there are no curve segments in the polylines - in most of the cases can be set to 0)
  • Densify Polyline By Angle Tool [image] : Densifies ( introduces vertices at points where the included angle between tangents at those point is Deviation Angle) selected polycurves..
    • Parameters - Can be set in ET GeoTools control panel or using the hot key "S" while the tool is active
      • Maximum segment length
      • Deviation Angle (Has no impact if there are no curve segments in the polylines - in most of the cases can be set to 0)

Advantages:

  • The standard Generalize tool is not available for the ArcGIS users with an ArcView license
  • Densify and Densify By Angle are not standardly available in ArcMap, but can be very useful if data from a Geodatabase containing true arcs is to be exported to shapefile.

Hot Keys (Pressing these keys when the tool is active will allow changing the parameters used by the function):

  • "S" - sets the parameters for the functions
    • Maximum offset - Generalize Polyline Tool
    • Maximum segment length & Deviation value - Densify Polyline Tool
    • Maximum segment length & Deviation Angle - Densify Polyline By Angle Tool

Attribute Updates: The attributes of the original polylines are preserved

Notes :

  • Since version 9.4 the Generalize & Densify tools can be used on polygons as well. It is very important to understand that if used on polygons that have neighbors GAPS and/or OVERLAPS might be introduced on the boundaries between the neighboring polygons. Use the Generalize & Densify tools only on stand-alone polygons!!!!!
  • If possible use Densify instead of Densify By Angle
  • The Densify Polylines Tool before smoothing to achieve better approximation of the original polylines. More vertices will constrain the curves close to the originals
  • In some cases the Generalize Polylines Tool can be used after smoothing to remove redundant vertices, but preserve the smooth appearance of the polylines


Smooth Polyline Tools

Smooth Tools

Target layer: Polyline, Polygon

Description: Drag a selection box. All polylines intersected by the selection box will be smoothed using the parameters assigned. Note that the same functions are available as commands on ET Commands menu and work on the current selection of the target layer.

The smooth tools are situated by default on the Generalize Densify Smooth Tool Menu. If some of them are used often they can be added to the ET GeoTools toolbar using Tools ==> Customize.

The parameters for all tools can be set in the control panel or via a hot key while the tool is activated. In the control panel the user can set whether the parameters dialog to appear for each operation or only when the hot key ("S") is pressed. In the latter case the parameters assigned will be used by the tools until changed.

  • Smooth Bezier Tool [image] : Uses Bezier Curve to smooth selected polylines
    • The curve in general does not pass through any of the control points (vertices of original polyline) except the first and last.
    • The curve is always contained within the convex hull of the control points
    • Approximate the original shape rather freely
    • Fast - good for polylines with many vertices (control points) that will constrain the curve close to the original shape
  • Smooth B-Spline Tool [image] : Uses B-Spline to smooth selected polylines
    • The curve does not pass through any of the control points (vertices of original polyline) except the first and last
    • Follows better than the Bezier curve the original shape
    • Depending on the "Freedom" parameter the smoothing occurs only in the areas close to a vertex
    • B-Spline lie in the convex hull of the original polyline
    • Slower than the Bezier curve, but the results in many cases are much better
  • Smooth T-Spline [image] : Uses T-Spline to smooth selected polylines
    • The curve passes trough all the vertices of the original polyline
    • The degree of fit can be controlled with the "Tension" parameter
    • Suitable for smoothing curves with comparatively equally spaced vertices
    • Fast with good approximation of the original polyline
Parameters:
  • The "Smoothness" parameter (Used in all smooth tools) defines the number of points in the output curve. The allowed values ( 2 to 20 ) in fact are point multiplier. The number of vertices of the original polyline multiplied by this value will give the number of vertices of the smoothed polyline. The larger the value of the Smoothness parameter, the slower the process will be. In most of the cases a value of 5 (default ) will create smooth and representative polylines.
  • The "Freedom" parameter (B-Spline only) defines how close to the original polyline the curve will be. The allowed values are from 3 to 10. Smaller values give better approximation. With large values the curve will become very similar to Bezier curve
  • The "Tension" parameter (T-Spline only) defines how close to the original polyline the curve will be. Increasing the tension is similar to pulling on the ends of a string constrained to pass through the polyline vertices. allowed values are from 1 to 100.

Advantages:

  • Give the user three different method to smooth the geometries
  • Available with any type of license (ArcView, ArcEditor & ArcInfo)

Hot Keys: (Pressing these keys when the tool is active will allow changing the parameters used by the function):

  • "S" :
    • Smooth Bezier Tool - sets the Smoothness parameter
    • Smooth B-Spline Tool - sets the Smoothness and Freedom parameters
    • Smooth T-Spline - sets the Smoothness and Tension parameters

Attribute Updates: The attributes of the original polylines are preserved

Notes :

  • Since version 9.4 the smooth tools can be used on polygons as well. It is very important to understand that if used on polygons that have neighbors GAPS and/or OVERLAPS might be introduced on the boundaries between the neighboring polygons. Use the smooth tools only on stand-alone polygons!!!!!
  • With all methods the Start and End point of the polylines are preserved
  • If better approximation is required, the polylines can be densified with the Densify Polylines Tool before smoothing. More vertices will constrain the curves close to the originals
  • In some cases Generalize Polylines Tool can be used after smoothing to remove redundant vertices, but preserve the smooth appearance of the polylines

Smooth results: Dashed - Original; Red - Bezier; Green - B-Spline; Blue- T-Spline
(Default parameters)
Bezier
B-Spline
  • Green - Freedom = 3
  • Blue - Freedom = 5
T-Spline
  • Green - Tension = 30
  • Blue - Tension = 90


Reshape Polyline

Reshape Polyline Tool

Target layer: Polyline

Description: Digitize a polyline on top of an existing polyline. The shape of the existing polyline between the first and the last intersection with the polyline digitized will be replaced with the digitized polyline

Advantages:

  • Increases the productivity. No need to select the polyline to be reshaped, to change the task etc.
  • Preserves the topology unlike the standard Reshape Edge topology task. See "Topology problems when editing in ArcGIS" for details.

Hot Keys (Pressing these keys when the tool is active will allow changing the parameters used by the function):

  • "Z" - zoom in and center the map at current mouse position
  • "X" - zoom out and center the map at current mouse position
  • "C" - pan - center the map at current mouse position

Snapping - supported


Add Polyline Tool

Target layer: Polyline, Polygon

Description: This is a multi-function tool. The polyline drawn will be added to the target layer depending on the type of the target layer and the user specified action.

Functions: Depending on the type of the target layer:

  • Polyline - use the ET GeoTools control panel (Polyline Edit Settings tab ==> Polyline Action) or hotkey "A" when the tool is active to select the action
    • Add - behaves as the standard sketch tool
    • Split - splits the existing polylines with the one drawn (nodes introduced in the places of intersection). Attributes update rules apply
    • Add & Split - the drawn polyline is added to the target layer. The existing polylines that intersect the digitized one are split (nodes added in the places of intersection). Attributes update rules apply
  • Polygon - use the ET GeoTools control panel (Polygon Edit Settings tab ==> Add Polyline Action) or hotkey "A" when the tool is active to select the action
    • Buffer and Add - Adds the digitized polyline (buffered with user specified buffer distance) to the target polygon layer. Use the ET GeoTools control panel (Polygon Edit Settings tab ==> Add Polygon Priority) to select the priority of the buffer polygon. See The concept of Polygon editing for description of priorities used.
    • Cut - Cuts the polygons using the digitized polyline. The attributes are transferred using the user defined attribute update rules. Note: Only the polygons that do no contain polyline ends will be cut

Advantages:

  • See functions above

Hot Keys (Pressing these keys when the tool is active will allow changing the parameters used by the function):

  • "A"
    • Target - Polyline layer - sets the action to be performed
      • Add
      • Split
      • Add & Split
    • Target - Polygon Layer - sets the action to be performed. See The concept of Polygon editing
      • Buffer and Add
      • Cut Polygons

Attribute Updates: The attributes will be updated according to the attribute update rules defined for the target layer. (see Setting Attribute Update Rules for more information)

Snapping: Supported. Uses the standard Editor snapping settings

Note: Switch ON the Draw Nodes tool to visualize the status of the node topology.

Example: Target = Polyline Layer

Input | Action = "Add" | Action = "Split" | Action = "Split & Add"

Example: Target = Polygon Layer. See The concept of Polygon editing for description of priorities used.

  • Add polyline action = "Buffer and Add"

Input | Priority = "Erase" | Priority = "Low" | Priority = "High"

  • Add polyline action = "Cut"

Input | Result - Split attribute rule = "Proportion" used


Draw Polygon Tool

Target layer: Polyline, Polygon

Description: This is a multi-function tool. The polygon drawn will be added to the target layer depending on the type of the target layer and the user specified action.

Functions: Depending on the type of the target layer:

  • Polyline - use the ET GeoTools control panel (Polyline Edit Settings tab ==> Polygon As Polyline Action) or hotkey "A" when the tool is active to select the action
    • Add - adds the outline of the polygon drawn as a polyline to the target polyline layer
    • Split - splits the existing polylines with the outline of the polygon drawn (nodes introduced in the places of intersection). Attributes update rules apply
    • Add & Split - the outline of the polygon drawn is added to the target layer. The existing polylines that intersect the outline of the digitized polygon are split (nodes added in the places of intersection). Attributes update rules apply
    • Erase - the polylines or parts of them that are inside the drawn polygon are erased. Attributes update rules apply
    • Erase & Add - the polylines or parts of them that are inside the drawn polygon are erased. The outline of the drawn polygon is added to the polyline layer. Attributes update rules apply
  • Polygon - Adds the digitized polygon to the target polygon layer. Use the ET GeoTools control panel (Polygon Edit Settings tab ==> Add Polygon Priority) or hotkey "A" when the tool is active to select the priority of the buffer polygon. See The concept of Polygon editing for description of priorities used.

Advantages:

  • See functions above

Hot Keys (Pressing these keys when the tool is active will allow changing the parameters used by the function):

  • "A"
    • Target - Polyline layer - sets the action to be performed
      • Add
      • Split
      • Add & Split
      • Erase
      • Erase & Add
    • Target - Polygon Layer - sets priority for the polygon to be added. See The concept of Polygon editing
      • No Priority
      • Erase
      • Low
      • Standard
      • High

Attribute Updates: The attributes will be updated according to the attribute update rules defined for the target layer. (see Setting Attribute Update Rules for more information)

Snapping: Supported. Uses the standard Editor snapping settings

Example: Target = Polyline Layer

Note: Switch ON the Draw Nodes tool to visualize the status of the node topology.

Input | Action = "Add" | Action = "Split"
Action = "Split & Add" | Action = "Erase" | Action = "Erase & Add"

Example: Target = Polygon Layer. See The concept of Polygon editing for description of priorities used.

Input | Priority = "No Priority" | Priority = "Erase"
Priority = "Low" | Priority = "Standard" | Priority = "High"


Draw T-Spline Tool

Target layer: Polyline, Polygon

Description: This is a multi-function tool. The spline drawn will be added to the target layer depending on the type of the target layer and the user specified action/priority.

Functions: Depending on the type of the target layer:

  • Polyline - use the ET GeoTools control panel (Polyline Edit Settings tab ==> Polyline Action) or hotkey "A" when the tool is active to select the action
    • Add - just adds the spline drawn to the target layer
    • Split - splits the existing polylines with the spline drawn (nodes introduced in the places of intersection). Attributes update rules apply
    • Add & Split - the drawn spline is added to the target layer. The existing polylines that intersect the spline are split (nodes added in the places of intersection). Attributes update rules apply
  • Polygon - Adds the digitized spline is closed to create a polygon and added to the target polygon layer. Use the ET GeoTools control panel (Polygon Edit Settings tab ==> Add Polygon Priority) or hotkey "A" when the tool is active to select the priority of the buffer polygon. See The concept of Polygon editing for description of priorities used.

Advantages:

  • Not standardly available
  • See functions above

Hot Keys (Pressing these keys when the tool is active will allow changing the parameters used by the function):

  • "S" - opens a dialog that allows adjusting the densification parameters. The curve is always approximated using line segments. Although supported in the Geodatabase model, using true curves proves to be unstable in the current versions of ArcGIS (up to 8.3). If this is improved in the future ArcGIS releases, true splines will be supported by ET GeoTools.
    • Maximum segment length. The smaller the value, the better approximation of a curve will be achieved, but more vertices will be introduced.
    • Deviation value If Deviation value = 0, it is ignored and Line segments with length = Maximum segment length are constructed with vertices laying on the original curve.
  • "A"
    • Target - Polyline layer - sets the action to be performed
      • Add
      • Split
      • Add & Split
    • Target - Polygon Layer - sets priority for the polygon to be added. See The concept of Polygon editing
      • No Priority
      • Erase
      • Low
      • Standard
      • High

Attribute Updates: The attributes will be updated according to the attribute update rules defined for the target layer. (see Setting Attribute Update Rules for more information)

Snapping: Supported. Uses the standard Editor snapping settings

Example: Target = Polyline Layer - See the examples for Add Polyline Tool

Example: Target = Polygon Layer. - See the examples for Add Polyline Tool. See The concept of Polygon editing for description of priorities used.


Draw Circle Tool

Target layer: Polyline, Polygon

Description: This is a multi-function tool. Depending on the Hot Key pressed the user can draw a circle by dragging it, clicking the Center point and specifying radius or inputting the coordinates of the center point and dragging the radius. The circle drawn will be added to the target layer depending on the type of the target layer and the user specified action. Depending on the settings the circle will be described with true arc (Geodatabase layers only) or densified with the user specified parameters.

Functions: Depending on the type of the target layer:

  • Polyline - use the ET GeoTools control panel (Polyline Edit Settings tab ==> Polygon As Polyline Action) or hotkey "A" when the tool is active to select the action
    • Add - adds the outline of the circle drawn as a polyline to the target polyline layer
    • Split - splits the existing polylines with the outline of the circle drawn (nodes introduced in the places of intersection). Attributes update rules apply
    • Add & Split - the outline of the circle drawn is added to the target layer. The existing polylines that intersect the outline of the circle are split (nodes added in the places of intersection). Attributes update rules apply
    • Erase - the polylines or parts of them that are inside the circle are erased. Attributes update rules apply
    • Erase & Add - the polylines or parts of them that are inside the circle are erased. The outline of the circle is added to the polyline layer. Attributes update rules apply
  • Polygon - Adds the circle to the target polygon layer. Use the ET GeoTools control panel (Polygon Edit Settings tab ==> Add Polygon Priority) or hotkey "A" when the tool is active to select the priority of the buffer polygon. See The concept of Polygon editing for description of priorities used.

Advantages:

  • See Functions above
  • See Hot Keys below

Hot Keys (Pressing these keys when the tool is active will allow changing the parameters used by the function):

  • "S" - opens a dialog that allows adjusting the densification parameters. Does not have impact if the target layer has a Geodatabase source and the user has set in the ET GeoTools control panel that he wants to use true arcs for circles and donuts.
    • Maximum segment length. If set too high the result might be a Hexagon, Pentagon, Square or even an Equilateral triangle. The smaller the value, the better approximation of a circle will be achieved, but more vertices will be introduced.
    • Deviation value If Deviation value = 0, it is ignored and Line segments with length = Maximum segment length are constructed with vertices laying on the original circle.
  • "R" - sets the Radius mode ON. The input required will be a single point - the result will be a circle with the user defined radius and a center in the point clicked
  • "D" - sets the Drag mode ON. The user haws to drag a line. The first point of the line will be used as a center of the circle. The length of the dragged line will be used as a radius of the circle. (This is the default mode)
  • "A"
    • Target - Polyline layer - sets the action to be performed
      • Add
      • Split
      • Add & Split
      • Erase
      • Erase & Add
    • Target - Polygon Layer - sets priority for the polygon to be added. See The concept of Polygon editing
      • No Priority
      • Erase
      • Low
      • Standard
      • High

Attribute Updates: The attributes will be updated according to the attribute update rules defined for the target layer. (see Setting Attribute Update Rules for more information)

Snapping: Supported. Uses the standard Editor snapping settings

Example: Target = Polyline Layer - See the examples for Draw Polyline Tool

Example: Target = Polygon Layer- See the examples for Draw Polygon Tool. See The concept of Polygon editing for description of priorities used.


Draw Circular Donut Tool

Target layer: Polyline, Polygon

Description: This is a multi-function tool. Depending on the Hot Key pressed the user can draw a circle by dragging it, clicking the Center point and specifying radius or inputting the coordinates of the center point and dragging the radius. A donut will be constructed based on the radius of the circle and the donut width specified. The donut will be added to the target layer depending on the type of the target layer and the user specified action. Depending on the settings the donut will be described with true arc (Geodatabase layers only) or densified with the user specified parameters.

Functions: Depending on the type of the target layer:

  • Polyline - use the ET GeoTools control panel (Polyline Edit Settings tab ==> Polygon As Polyline Action) or hotkey "A" when the tool is active to select the action
    • Add - adds the outlines of the donut as a polyline to the target polyline layer
    • Split - splits the existing polylines with the outlines of the donut (nodes introduced in the places of intersection). Attributes update rules apply
    • Add & Split - the outlines of the donut are added to the target layer. The existing polylines that intersect the outlines of the donut are split (nodes added in the places of intersection). Attributes update rules apply
    • Erase - the polylines or parts of them that are inside the donut are erased. Attributes update rules apply
    • Erase & Add - the polylines or parts of them that are inside the donut are erased. The outlines of the donut are added to the polyline layer. Attributes update rules apply
  • Polygon - Adds the donut to the target polygon layer. Use the ET GeoTools control panel (Polygon Edit Settings tab ==> Add Polygon Priority) or hotkey "A" when the tool is active to select the priority of the donut polygon. See The concept of Polygon editing for description of priorities used.

Advantages:

  • See Functions above
  • See Hot Keys below

Hot Keys (Pressing these keys when the tool is active will allow changing the parameters used by the function):

  • "S" - opens a dialog that allows adjusting the densification parameters. Does not have impact if the target layer has a Geodatabase source and the user has set in the ET GeoTools control panel that he wants to use true arcs for circles and donuts.
    • Maximum segment length. If set too high the result might be a Hexagon, Pentagon, Square or even an Equilateral triangle. The smaller the value, the better approximation of a circle will be achieved, but more vertices will be introduced.
    • Deviation value If Deviation value = 0, it is ignored and Line segments with length = Maximum segment length are constructed with vertices laying on the original circle.
  • "R" - sets the Radius mode ON. The input required will be a single point - the result will be a circle with the user defined radius and a center in the point clicked
  • "D" - sets the Drag mode ON. The user haws to drag a line. The first point of the line will be used as a center of the circle. The length of the dragged line will be used as a radius of the circle. (This is the default mode)
  • "W" - opens a dialog that allows adjusting the width of the donut (a numeric value smaller than the radius of the circle)
  • "A"
    • Target - Polyline layer - sets the action to be performed
      • Add
      • Split
      • Add & Split
      • Erase
      • Erase & Add
    • Target - Polygon Layer - sets priority for the polygon to be added. See The concept of Polygon editing
      • No Priority
      • Erase
      • Low
      • Standard
      • High

Attribute Updates: The attributes will be updated according to the attribute update rules defined for the target layer. (see Setting Attribute Update Rules for more information)

Snapping: Supported. Uses the standard Editor snapping settings

Example: Target = Polyline Layer - See the examples for Draw Polyline Tool

Example: Target = Polygon Layer- See the examples for Draw Polygon Tool. See The concept of Polygon editing for description of priorities used.


ETDrawPieSegment

Draw Pie Segment

Target layer: Polyline, Polygon, PolylineZ(M)

Description: The tool will create in the target layer pie segments with user defined radius, direction and central angle.

Usage:

  • Select the Pie Segment Tool
  • Press the "S" key to specify radius, direction and central angle. The parameters are persistent - unless the "S" key is pressed again the specified parameters will be used for the next pie.
  • Click at the location where the center of the pie segment needs to be (snapping is supported).

Feature added:

Depending on the type of the target layer:

  • Polyline - use the ET GeoTools control panel (Polyline Edit Settings tab ==> Polygon As Polyline Action) or hotkey "A" when the tool is active to select the action
    • Add - adds the outline of the circle drawn as a polyline to the target polyline layer
    • Split - splits the existing polylines with the outline of the circle drawn (nodes introduced in the places of intersection). Attributes update rules apply
    • Add & Split - the outline of the circle drawn is added to the target layer. The existing polylines that intersect the outline of the circle are split (nodes added in the places of intersection). Attributes update rules apply
    • Erase - the polylines or parts of them that are inside the circle are erased. Attributes update rules apply
    • Erase & Add - the polylines or parts of them that are inside the circle are erased. The outline of the circle is added to the polyline layer. Attributes update rules apply
  • Polygon - Adds the pie segment to the target polygon layer. Use the ET GeoTools control panel (Polygon Edit Settings tab ==> Add Polygon Priority) or hotkey "A" when the tool is active to select the priority of the buffer polygon. See The concept of Polygon editing for description of priorities used.

Hot Keys :

  • "S" - sets the parameters (radius, direction and central angle)
  • "A" - depending on the target layer
    • Target - Polyline layer - sets the action to be performed
      • Add
      • Split
      • Add & Split
      • Erase
      • Erase & Add
    • Target - Polygon Layer - sets priority for the polygon to be added. See The concept of Polygon editing
      • No Priority
      • Erase
      • Low
      • Standard
      • High

Example:

Central angle = 90 Direction = 0 | Central angle = 45 Direction = 90 | Central angle = 270 Direction = 30

Notes :

  • The direction angle is in decimal degrees and "Polar" format - 0o = East, 90o = North, 180o = West, 270o = South


ETDrawRectangle

drawRect

Draw Rectangle

Target layer: Polyline, Polygon, PolylineZ(M)

Description: The tool will create in the target layer rectangles with user defined width, height and rotation angle.

Usage:

  • Select the Draw Rectangle Tool
  • Press the "S" key to specify width, height, rotation angle and insertion point. The parameters are persistent - unless the "S" key is pressed again the specified parameters will be used for the next pie.
  • Click at the location where the insertion point needs to be (snapping is supported).

Feature added:

Depending on the type of the target layer:

  • Polyline - use the ET GeoTools control panel (Polyline Edit Settings tab ==> Polygon As Polyline Action) or hotkey "A" when the tool is active to select the action
    • Add - adds the outline of the rectangle drawn as a polyline to the target polyline layer
    • Split - splits the existing polylines with the outline of the rectangle drawn (nodes introduced in the places of intersection). Attributes update rules apply
    • Add & Split - the outline of the rectangle drawn is added to the target layer. The existing polylines that intersect the outline of the rectangle are split (nodes added in the places of intersection). Attributes update rules apply
    • Erase - the polylines or parts of them that are inside the rectangle are erased. Attributes update rules apply
    • Erase & Add - the polylines or parts of them that are inside the rectangle are erased. The outline of the rectangle is added to the polyline layer. Attributes update rules apply
  • Polygon - Adds the pie segment to the target polygon layer. Use the ET GeoTools control panel (Polygon Edit Settings tab ==> Add Polygon Priority) or hotkey "A" when the tool is active to select the priority of the buffer polygon. See The concept of Polygon editing for description of priorities used.

Hot Keys :

  • "S" - sets the parameters (width, height, rotation angle and insertion point)
  • "A" - depending on the target layer
    • Target - Polyline layer - sets the action to be performed
      • Add
      • Split
      • Add & Split
      • Erase
      • Erase & Add
    • Target - Polygon Layer - sets priority for the polygon to be added. See The concept of Polygon editing
      • No Priority
      • Erase
      • Low
      • Standard
      • High

Example:

Insertion Point - Upper Right Rotation Angle = 0 | Insertion Point - Center Rotation Angle = 30 | Insertion Point - Lower Left Rotation Angle = 30
pr0ur | pr15cen | pr15ll

Notes :

  • The rotation angle is in decimal degrees and "Polar" format - 0o = East, 90o = North, 180o = West, 270o = South


ETDrawRegularPolygons

RegPg

Draw Regular Polygon

Target layer: Polyline, Polygon, PolylineZ(M)

Description: The tool will create in the target layer regular polygons with user defined number of sides, size and rotation angle.

Usage:

  • Select the Draw Regular polygon Tool
  • Press the "S" key to specify number of sides, size and rotation angle. The parameters are persistent - unless the "S" key is pressed again the specified parameters will be used for the next pie.
  • Click at the location where the insertion point needs to be (snapping is supported).

Feature added:

Depending on the type of the target layer:

  • Polyline - use the ET GeoTools control panel (Polyline Edit Settings tab ==> Polygon As Polyline Action) or hotkey "A" when the tool is active to select the action
    • Add - adds the outline of the polygon drawn as a polyline to the target polyline layer
    • Split - splits the existing polylines with the outline of the polygon drawn (nodes introduced in the places of intersection). Attributes update rules apply
    • Add & Split - the outline of the polygon drawn is added to the target layer. The existing polylines that intersect the outline of the polygon are split (nodes added in the places of intersection). Attributes update rules apply
    • Erase - the polylines or parts of them that are inside the polygon are erased. Attributes update rules apply
    • Erase & Add - the polylines or parts of them that are inside the polygon are erased. The outline of the polygon is added to the polyline layer. Attributes update rules apply
  • Polygon - Adds the pie segment to the target polygon layer. Use the ET GeoTools control panel (Polygon Edit Settings tab ==> Add Polygon Priority) or hotkey "A" when the tool is active to select the priority of the buffer polygon. See The concept of Polygon editing for description of priorities used.

Hot Keys :

  • "S" - sets the parameters (width, height, rotation angle and insertion point)
  • "A" - depending on the target layer
    • Target - Polyline layer - sets the action to be performed
      • Add
      • Split
      • Add & Split
      • Erase
      • Erase & Add
    • Target - Polygon Layer - sets priority for the polygon to be added. See The concept of Polygon editing
      • No Priority
      • Erase
      • Low
      • Standard
      • High

Note:

Size represents option - depending on the user input the size parameter can represent
  • The side of the polygon
  • The radius of the circle inscribed in the polygon
  • The radius of the circle circumscribed around the polygon

Example:

Size = 30 , Angle = 0, Number sides = 5 Size represents - Radius Inscribed | Size = 30 , Angle = 0, Number sides = 5 Size represents - Radius Circumscribed | Size = 30 , Angle = 0, Number sides = 5 Size represents - Side
radiusIn | RadiusOut | Side
Size = 30 , Angle = 0, Number sides = 6 Size represents - Radius Circumscribed | Size = 30 , Angle = 0, Number sides = 7 Size represents - Radius Circumscribed | Size = 30 , Angle = 0, Number sides = 8 Size represents - Radius Circumscribed
six | seven | eight

Notes :

  • The rotation angle is in decimal degrees and "Polar" format - 0o = East, 90o = North, 180o = West, 270o = South. The angle defines the location of the start vertex of the polygon.


Reshape Polygon Tool

Target layer: Polygon

Description: Draw a polygon, the start point should be in the polygon to be reshaped (target polygon). When the sketch is finished (on double click) the existing polygon that contains the start point of the sketched polygon is reshaped with the sketched polygon according to the priority set in the Control Panel or using the Hot Key "A" when the tool is active:

  • Priority = "Low" - only the portions of the sketched polygon that do not overlap existing polygons are added to the target polygon. Ideal for filling gaps between neighboring polygons,
  • Priority = "High" - the target polygon is reshaped with the entire sketched polygon. The existing polygons or portions of them that overlap the sketched polygon are erased - the polygon topology is preserved.

Advantages:

  • Preserves the polygon topology
  • Ideal tool for filling gaps
  • No snapping needed to maintain topology while reshaping
  • No need to select the polygon to be reshaped beforehand

Hot Keys (Pressing these keys when the tool is active will allow changing the parameters used by the function):

  • "A" - sets the priority for the reshape polygon
    • Low
    • High

Attribute Updates: The attributes of the original features will be preserved

Snapping: Supported. Uses the standard Editor snapping settings. For better results do not snap to features from currently edited layer.

Example:

Input | Priority = "Low" Only the gap is added to the target polygon | Priority = "High" The target polygon is reshaped with entire sketched polygon. The portions of the existing polygons overlapping the sketch polygon are erased


Draw Overlaps Tool

Target layer: Polygon

Description: Drag a selection box. All polygons intersected by the box will be analyzed for overlaps and if present the overlaps will be drawn with the user set symbol. The symbol can be set in the ET GeoTools control panel - Draw Tab.

Advantages:

  • Analyzes the topological relations between polygons - no matter what the data source is (shapefile or Geodatabase)
  • The license of ArcGIS does not matter (ArcView is good enough)
  • Allows finding topological problems which can be fixed with one of the other tools of ET GeoTools

Notes:

  • ArcGIS 8.3 users can use the ET GeoTools Control Panel - Polygon Edit Settings tab to specify whether Map Topology to be used with the tool. Using Map Topology improves the performance of the function.
  • Since ArcGIS (all current versions) has problems with overlay operations performed on polygons defined with true arcs, internal ArcGIS errors might occur if there are true arcs polygons in the dataset.
  • To improve the performance of the tool, apply it on small portions of your data (about 500 polygons) at a time.

Example:

Before | After


Clean Overlaps Tool

Target layer: Polygon

Description: Drag a selection box. All polygons intersected by the box will be analyzed for overlaps and if present the overlaps will be converted into new polygons.

Advantages:

  • Removes some topological problems from a polygon dataset
  • The license of ArcGIS does not matter (ArcView is good enough)

Attribute Updates: The attributes of the original polylines are preserved. The attribute values for the overlap polygons will be empty.

Notes:

  • Use the Draw Overlaps tools beforehand to visualize the overlaps beforehand, then clean overlaps for the problem areas only.
  • Since ArcGIS (all current versions) has problems with overlay operations performed on polygons defined with true arcs, internal ArcGIS errors might occur if there are true arcs polygons in the dataset.
  • To improve the performance of the tool, apply it on small portions of your data (about 500 polygons) at a time.
  • If there are multiple overlapping polygons at the same location, the function might go through several iterations.

Example:

Before | Draw Overlaps | After Clean Overlaps


Draw Gaps Tool

Target layer: Polygon

Description: Drag a selection box. All polygons intersected by the box will be analyzed for gaps and if present the gaps will be drawn with the user set symbol. The symbol can be set the in the ET GeoTools control panel - Draw Tab.

Advantages:

  • Analyzes the topological relations between polygons - no matter what the data source is (shapefile or Geodatabase)
  • The license of ArcGIS does not matter (ArcView is good enough)
  • Allows finding topological problems which can be fixed with one of the other tools of ET GeoTools

Notes:

  • ArcGIS 8.3 users can use the ET GeoTools Control Panel - Polygon Edit Settings tab to specify Map Topology to be used with the tool. Using Map Topology improves the performance of the function, but gaps with islands will not be identified
  • Since ArcGIS (all current versions) has problems with overlay operations performed on polygons defined with true arcs, internal ArcGIS errors might occur if there are true arcs polygons in the dataset.
  • To improve the performance of the tool, apply it on small portions of your data (about 500 polygons) at a time.

Example:

Before | After


Fill Gaps Tool

Target layer: Polygon

Description: Drag a selection box. All polygons intersected by the box will be analyzed for gaps and if present the gaps will be converted into new polygons or appended to the neighboring polygons depending on the settings.

Advantages:

  • Removes some topological problems from a polygon dataset
  • The license of ArcGIS does not matter (ArcView is good enough)

Hot Keys (Pressing these keys when the tool is active will allow changing the parameters used by the function):

  • "A" - sets the method for filling gaps
    • New Polygon - Converts the gaps to new polygons
    • Append to largest Neighbor - Appends the gaps to the neighboring polygon with largest area

Attribute Updates: If the "New Polygon" option is used the attributes for the gap polygons will be empty.

Notes:

  • Use the Draw Gaps tool beforehand to identify the gaps beforehand, then fill the gaps for the problem areas only.
  • Since ArcGIS (all current versions) has problems with overlay operations performed on polygons defined with true arcs, internal ArcGIS errors might occur if there are true arcs polygons in the dataset.
  • To improve the performance of the tool, apply it on small portions of your data (about 500 polygons) at a time.

Example:

Before | Draw Gaps | After Fill Gaps New Polygon option | After Fill Gaps Append to largest Neighbor option


Merge Polygons Tool

Target layer: Polygon

Description: Drag a line in the view. The start and end point of the selection line will be used for selection of the polygons from the target layer to be merged. By default the attributes of the polygon selected by the end point of the selection polyline will be preserved. If attribute update rules are assigned to the target polygon dataset, these rules will be used to update the attributes of the resulting merged polygon.

Advantages:

  • Productivity
  • Attribute update rules can be used to update the attributes after splitting.
  • Single mouse action to perform the task.

Hot Keys (Pressing these keys when the tool is active will allow changing the parameters used by the function):

  • "Z" - zoom in and center the map at current mouse position
  • "X" - zoom out and center the map at current mouse position
  • "C" - pan - center the map at current mouse position

Attribute Updates: The attributes will be updated according to the attribute update rules defined for the target layer. (see Setting Attribute Update Rules for more information)

Before Merge | After Merge Union rule = "Last" | After Merge Union rule = "Sum"


Copy features from other layer Tool

Target layer: Polyline, Polygon

Description: This is a multi-function tool. Drag a selection box. The features of the source layer will be added to the target layer. Depending on the type of the source and the target layer and the settings various operations will be performed. See Functions paragraph below for complete description. Note that the same function is available as a command on ET Commands menu and works on the current selection of the source layer.

Functions: Depending on the type of the source & target layer:

  • Source Layer - Polygon
    • Target layer - Polyline - use the ET GeoTools control panel (Polyline Edit Settings tab ==> Polygon As Polyline Action) or hotkey "A" when the tool is active to select the action
      • Add - adds the outline of the polygon as a polyline to the target polyline layer
      • Split - splits the existing polylines with the outline of the polygon (nodes introduced in the places of intersection). Attributes update rules apply
      • Add & Split - the outline of the polygon is added to the target layer. The existing polylines that intersect the outline of the copied polygon are split (nodes added in the places of intersection). Attributes update rules apply
      • Erase - the polylines or parts of them that are inside the copied polygon are erased. Attributes update rules apply
      • Erase & Add - the polylines or parts of them that are inside the copied polygon are erased. The outline of the copied polygon is added to the polyline layer. Attributes update rules apply
    • Target layer - Polygon - Adds the selected polygons to the target polygon layer. Use the ET GeoTools control panel (Polygon Edit Settings tab ==> Add Polygon Priority) or hotkey "A" when the tool is active to select the priority of the buffer polygon. See The concept of Polygon editing for description of priorities used.
  • Source Layer - Polyline
    • Target layer - Polyline - use the ET GeoTools control panel (Polyline Edit Settings tab ==> Polyline Action) or hotkey "A" when the tool is active to select the action
      • Add - just copies the selected polylines to the target layer
      • Split - splits the existing polylines from the target layer with the selected ones from the source layer (nodes introduced in the places of intersection). Attributes update rules apply
      • Add & Split - the selected polylines from the source layer are added to the target layer. The existing polylines from the target layer that intersect the selected polylines from the source layer are split (nodes added in the places of intersection). Attributes update rules apply
    • Target layer - Polygon - use the ET GeoTools control panel (Polygon Edit Settings tab ==> Add Polyline Action) or hotkey "A" when the tool is active to select the action
      • Buffer and Add - Adds the selected polylines (buffered with user specified buffer distance) to the target polygon layer. Use the ET GeoTools control panel (Polygon Edit Settings tab ==> Add Polygon Priority) to select the priority of the buffer polygons. See The concept of Polygon editing for description of priorities used.
      • Cut - Cuts the polygons using the selected polylines. The attributes are transferred using the user defined attribute update rules. Note: Only the polygons that do no contain polyline ends will be cut.

Advantages:

  • See functions above

Hot Keys (Pressing these keys when the tool is active will allow changing the parameters used by the function):

  • "S" - opens a dialog that will let the user to select a source layer
  • "A" - opens a dialog that allows choosing an action if the target layer is a polyline one or priority is the target layer is of polygon type
    • Target - Polyline layer - sets the action to be performed
      • Source - Polygon. See The concept of Polygon editing
        • Add
        • Split
        • Add & Split
        • Erase
        • Erase & Add
      • Source - Polyline
        • Add
        • Split
        • Add & Split
    • Target - Polygon Layer - sets the action to be performed
      • Source - Polygon. See The concept of Polygon editing
        • No Priority
        • Erase
        • Low
        • Standard
        • High
      • Source - Polyline sets the action to be performed
        • Buffer and Add
        • Cut Polygons

Attribute Updates: The attributes will be updated according to the attribute update rules defined for the target layer. (see Setting Attribute Update Rules for more information). The attributes of the source feature will be copied over if the same fields exist in both datasets.

Example: Source = Polygon Layer - see example here

Example: Source = Polyline Layer - see example here


Move Copy Shapes Tools

Target layer: Point, Polyline, Polygon

Description: Select shapes to be Moved/Copied with the ET selection tools or standard ArcGIS selection tool. Drag a line with one of the tools. The start point of the line indicates the origin of the translation and the end point identifies the destination. Use the standard Editor snapping to snap the origin and destination to existing features. The shapes will be moved/copied (depending on the tool used) with the defined by the line translation.

Advantages:

  • Offer quick and accurate method for moving/copying shapes

Snapping: Supported. Uses the standard Editor snapping settings

Before | After Move | After Copy


Explode Tool

Target layer: Polyline, Polygon

Description: Drag a selection box. The multi-part features intersecting the box will be converted to single part ones. A command is available in the ET Commands menu that performs the same function on the already selected shapes

Advantages:

  • No need to select the shapes to be exploded beforehand
  • Attributes are distributed according the split rules defined for the target layer

Attribute Updates: The attributes will be updated according to the attribute update rules defined for the target layer. (see Setting Attribute Update Rules for more information). Note: Address ranges not supported for polyline layers with this function


Quick Delete Tool

Target layer: Point, Polyline, Polygon

Description: Drag a selection box. The features that are completely inside the selection box will be deleted

Advantages:

  • A single action tool.
  • Quick way to delete unwanted features. Especially useful for getting rid of small geometries


Move Shared Node

Move Shared Node Tool

Target layer: Polyline, Polygon

Description: Click on a polyline node / polygon vertex depending on the target layer - this sets the anchor point. Click and drag the anchor point to a new location. If the target layer is a polyline one all the polylines that meet in this node are reshaped. If the target layer is a polygon one all the polygons that share the selected vertex are reshaped.

Advantages:

  • Preserves the topology unlike the standard Topology Edit Tool. See "Topology problems when editing in ArcGIS" for details.

Hot Keys (Pressing these keys when the tool is active will allow changing the parameters used by the function):

  • "Z" - zoom in and center the map at current mouse position
  • "X" - zoom out and center the map at current mouse position
  • "C" - pan - center the map at current mouse position

Snapping - supported


Insert Vertex

Insert Vertex Tool

Target layer: Polyline, Polygon

Description: Click on a polyline or polygon boundary - a new vertex is introduced.

Advantages:

  • Increases the productivity
  • Preserves the topology when inserting a vertex on the shared boundary of two adjacent polygons by inserting a vertex with the same location in both polygons. See "Topology problems when editing in ArcGIS" for details.
  • Single mouse action to perform the task.

Hot Keys (Pressing these keys when the tool is active will allow changing the parameters used by the function):

  • "Z" - zoom in and center the map at current mouse position
  • "X" - zoom out and center the map at current mouse position
  • "C" - pan - center the map at current mouse position

Note: Switch on the Draw Vertices command to visualize the location of the vertices


Delete Multiple Vertices

Delete Multiple Vertices Tool

Target layer: Polyline, Polygon

Description: Drag a selection box. All the vertices that are contained by the selection box will be deleted.

Advantages:

  • Increases significantly the productivity
  • Preserves the topology when deleting vertices of adjacent polygons
  • Single mouse action to perform the task.

Hot Keys (Pressing these keys when the tool is active will allow changing the parameters used by the function):

  • "Z" - zoom in and center the map at current mouse position
  • "X" - zoom out and center the map at current mouse position
  • "C" - pan - center the map at current mouse position

Note: Switch on the Draw Vertices command to visualize the location of the vertices

Before Delete Multi Vertices | After Delete Multi Vertices


ET Selection Tools

Target layer: Point Polyline, Polygon

Description: Select the features from the user specified layer. The major difference from the standard selection tool is that these selection tools do not allow selecting features from two or more different layers at the same time. Use the Hot Key "S" to open the dialog that will let you switch the selection layer. The selection layer can be set to the Current Edited Layer, in this case whenever the target layer is changed the selection layer is automatically changed as well.

  • Select by rectangle [image]: If the rectangle is dragged with the left mouse button the features that intersect the selection rectangle will be selected. If the rectangle is dragged using the right mouse button only the features that are completely inside the dragged rectangle will be selected.
  • Select by circle [image]: If the circle is dragged with the left mouse button the features that intersect the dragged circle will be selected. If the circle is dragged using the right mouse button only the features that are completely inside the dragged circle will be selected.
  • Select by polygon [image]: If the Shift key is pressed down during the digitizing the selection polygon only the features that are completely inside the polygon will be selected
  • Select by polyline [image]: The features intersected by the selection polyline will be selected.

Advantages:

  • Never get selected features that you don't want to select
  • Quick way to change the selection layer
  • Skip several steps needed to use the standard Select By Polyline and Select By Polygon tasks. (Change the task ==> Click the Sketch tool ==> Select features ==> Change the task back)
  • Allow selection of features that are completely inside the selection geometry

Hot Keys (Pressing these keys when the tool is active will allow changing the parameters used by the function):

  • "S" - opens a dialog that will let the user to change the selection layer
  • "Shift Key" Down - adds the newly selected features to the current selection

Note:

  • In order to avoid accidental editing of data. The selection tools do not work on invisible layers


ET Draw Duplicate Points

Target layer: Point

Description: If switched ON analyzes the points visible in the view for duplicates after each refresh of the screen and draws the exact duplicates if present. The user can adjust (ET GeoTools Control Panel - Draw Tab) the maximum number of visible features for which the points will be analyzed and the duplicates drawn automatically after each operation that triggers screen refresh. If the visible features are more than the user specified amount, the command is automatically turned off. The default value for the Max Features Auto Redraw is 1000 features. This should work fine on an average PC, but it is entirely up to the user to set this value to any number if it does not slow down the refreshing of the screen.

Advantages:

  • The command allows automatic identifying of the duplicate points in a point dataset. Use Remove Duplicate Points Tool to correct such problems
  • Can be used in any version of ArcGIS 8.1 and above
  • Can be used with any license (ArcView, ArcEditor or ArcInfo)


ETDeleteDuplicatePoints

Delete Duplicate Points Tool

Target layer: Point

Description: Drag a selection box. All selected points will be analyzed and the exact duplicates removed. Fuzzy tolerance is used to compare the points.

Advantages:

  • Quick and simple way of removing duplicate points.

Hot Keys (Pressing these keys when the tool is active will allow changing the parameters used by the function):

  • "S" - introduces a dialog for adjusting the Fuzzy Tolerance

Note: Switch ON the Draw Duplicate Points tool to identify duplicate points


ETRectangularArray

Create Rectangular Array

Target layer: Point, Polyline, Polygon

Description: Select a feature from the target layer for which you want to create an array. Click the Create Rectangular Array command. In the dialog set the parameters

Parameters:
  • Number of rows
  • Number of columns
  • Row offset. - positive value will create new features upwards, negative values will create features downwards.
  • Column offset - positive value will create features to the right, negative value will create features to the left of the selected feature.

Attribute Updates: The attributes of the original feature will be copied to all new features created.

Examples:

Columns = 2 Rows = 2 Row offset - Positive Column offset - Positive | Columns = 3 Rows = 2 Row offset - Negative Column offset - Negative


ETFilletAtAllVertices

Fillet at All Vertices Tool

Target layer: Polyline, Polygon

Description: The tool will fillet (replace with circular arcs) all corners of a polyline or polygon with user specified distance.

Usage:

  • Select the Fillet All Tool
  • Press the "S" key to specify fillet distance. The selected distance is persistent - unless the "S" key is pressed again the specified fillet distance will be used for the next features selected with the tool.
  • Click on the polyline or polygon which you want to fillet at all vertices.

Hot Keys :

  • "S" - sets the fillet distance

Attribute Updates: The attributes of the original polylines are preserved.

Example:

Before Fillet | After Fillet

Notes :

  • The function can be used on polygon and polylines. If the tool is used on polygons that have neighbors GAPS will be introduced between the neighboring polygons at the filleted vertices.
  • If one of the segments connected in the selected vertex is a circular arc the fillet will not be performed
  • If the fillet distance is larger then the length of one of the segments connected in the selected vertex, the fillet will not be performed.
  • If the fillet is performed on Z or M enabled polygons or polylines, the Z (M) value of the two vertices introduced for each original vertex will be the same as the Z (M) value of the original filleted vertex.
  • If the edited layer has a shapefile source after the save the circular arc will be converted to straight line approximation.


ETFilletAtVertex

Fillet at Vertex Tool

Target layer: Polyline, Polygon

Description: The tool will Fillet (replace with circular arc) the corner of a polyline or polygon with user specified distance at the closest to the selection point vertex.

Usage:

  • Select the fillet Tool
  • Press the "S" key to specify Fillet distance. The selected distance is persistent - unless the "S" key is pressed again the specified Fillet distance will be used for the next vertices selected with the tool.
  • Click on the polyline or polygon which vertex you want to Fillet as close as possible to the vertex you want to Fillet.

Hot Keys :

  • "S" - sets the Fillet distance

Attribute Updates: The attributes of the original polylines are preserved.

Example:

Before Fillet | After Fillet

Notes :

  • The function can be used on polygon and polylines. It is very important to understand that if the tool is used on polygons that have neighbors GAPS will be introduced on the boundaries between the neighboring polygons.
  • If one of the segments connected in the selected vertex is a circular arc the Fillet will not be performed
  • If the Fillet distance is larger then the length of one of the segments connected in the selected vertex, the Fillet will not be performed.
  • If the Fillet is performed on Z or M enabled polygons or polylines, the Z (M) value of the two vertices introduced will be the same as the Z (M) value of the original Filleted vertex.
  • If the edited layer has a shapefile source after the save the circular arc will be converted to straight line approximation.


ETChamferAtAllVertices

Chamfer at All Vertices Tool

Target layer: Polyline, Polygon

Description: The tool will chamfer (bevel) all corners of a polyline or polygon with user specified distance.

Usage:

  • Select the Chamfer Tool
  • Press the "S" key to specify chamfer distance. The selected distance is persistent - unless the "S" key is pressed again the specified chamfer distance will be used for the next vertices selected with the tool.
  • Click on the polyline or polygon which you want to chamfer at all vertices..

Hot Keys :

  • "S" - sets the chamfer distance

Attribute Updates: The attributes of the original polylines are preserved.

Example:

Before Chamfer | After Chamfer

Notes :

  • The function can be used on polygon and polylines. It is very important to understand that if the tool is used on polygons that have neighbors GAPS will be introduced on the boundaries between the neighboring polygons.
  • If one of the segments connected in a specific vertex is a circular arc the chamfer will not be performed
  • If the chamfer distance is larger then the length of one of the segments connected in a specific vertex, the chamfer will not be performed.
  • If the chamfer is performed on Z or M enabled polygons or polylines, the Z (M) values of the two vertices introduced for each original vertex will be the same as the Z (M) value of the original chamfered vertex.


ETChamferAtVertex

Chamfer at Vertex Tool

Target layer: Polyline, Polygon

Description: The tool will chamfer (bevel) the corner of a polyline or polygon with user specified distance at the closest to the selection point vertex.

Usage:

  • Select the Chamfer Tool
  • Press the "S" key to specify chamfer distance. The selected distance is persistent - unless the "S" key is pressed again the specified chamfer distance will be used for the next vertices selected with the tool.
  • Click on the polyline or polygon which vertex you want to chamfer as close as possible to the vertex you want to chamfer.

Hot Keys :

  • "S" - sets the chamfer distance

Attribute Updates: The attributes of the original polylines are preserved.

Example:

Before Chamfer | After Chamfer

Notes :

  • The function can be used on polygon and polylines. It is very important to understand that if the tool is used on polygons that have neighbors GAPS will be introduced on the boundaries between the neighboring polygons.
  • If one of the segments connected in the selected vertex is a circular arc the chamfer will not be performed
  • If the chamfer distance is larger then the length of one of the segments connected in the selected vertex, the chamfer will not be performed.
  • If the chamfer is performed on Z or M enabled polygons or polylines, the Z (M) value of the two vertices introduced will be the same as the Z (M) value of the original chamfered vertex.


ETIdentifyNaNs

ET Identify Non Simple M values

Target layer: PolylineM, PolygonM

Description: If switched ON analyzes the features of the target edited layer within the currently visible extent. If a vertex has a non simple M value (NaN), a point is drawn at this vertex.

Advantages:

  • Easy way to find out vertices that do not have M value.


ETSquarePolygonAngles

Square Polygon Angles

Target layer: Polygon

Description: Makes the internal angles of a polygon square (0,90, 180 or 270) if the original angles are closer to these values than the user specified angle tolerance. The tool uses algorithm that adjusts first the angles, then adjusts the length of the sides of the polygon using the Crandall Rule.

Notes:

  • The Angle tolerance should be larger then 0 and smaller than 45 degrees.
  • There will be at least one polygon side that will not change its direction. This side will be the closest side to the click point with which the user selects the polygon.
  • The tool will not always create good results. This is the reason it can be used on a single polygon only. The user need to evaluate the result before accepting it.
  • It is strongly recommended to use the tool on standalone polygons only. If applied to polygons that do have neighbors it might create gaps and overlaps between the adjacent polygons.
  • Use the tool only on polygons that naturally should have square angles (buildings, etc.).

Hot Keys (Pressing these keys when the tool is active will allow changing the parameters used by the function):

  • "S" - allows adjusting the Angle Tolerance

Example:

Before | Result


ETSplitByPolygonArea

Split Polygon By Area Tool

Target layer: Polygon

Description: Splits the selected with the tool polygon in two with a vertical or horizontal line by user defined area or percentage of the total area. Click on a polygon with the tool. A dialog will open.

  • The arrows in the Split Direction panel define the direction from which the user defined area will be calculated.
  • Two methods for defining the area to be cut
    • Absolute Area - not available for datasets in Geographic Coordinate Systems or Unknown projection
    • Percent of the total area
  • The input units might be different from the units of the spatial reference of the edited dataset. You can select any of the available in the dialog input units, the input area will be recalculated in the units of the dataset before splitting the polygon
  • In many cases the exact area requested cannot be achieved. You need to specify the allowed difference between the requested and achieved area. The tool will try to interpolate until the area is within this tolerance from the requested area. The units of the Allowed Difference tolerance are the same as the selected input units.

Attribute Updates: The attributes are updated according the user defined for the dataset attribute update rules..

Notes:

  • In some cases the desired area cannot be achieved. In such cases the tool will report the area achieved.
  • The smaller the Allowed Difference, the slower the process.
  • Depending on the selected polygon, the tool might create multi-part polygons.


ETCopyEditAttributes

Copy-Edit-Paste Attributes Tool

Description: A tool that allows productive attribute editing and transferring attributes between features. It combines the functionality of the two standard ArcMap tools:

  • Edit Attributes
  • Transfer Attributes (Spatial Adjustment Toolbar)

but has significantly better productivity and functionality. Furthermore, it allows editing the attributes of simple (no topology or networks) SDE or personal Geodatabase feature classes with subtypes with an ArcView license.

Purposes of the Tool

  • Significantly increases the productivity of the attribute editing.
  • Allows users with ArcView licenses to edit the attributes of
    • Simple SDE feature classes
    • Feature classes of SDE check-out databases
    • Personal Geodatabase feature classes with subtypes

Modes of use:

The tool can be used in two modes

  1. Within an editing session - the standard ArcGIS licensing restrictions apply.
  2. Out of an editing session (OES) - any ArcGIS license can be used to edit the attributes of simple feature classes (not participating in topology or geometric networks) even if the data is in SDE database, SDE check-out database or PGDB with subtypes. Note: UNDO is not available when editing out of an editing session.

Subtypes and Domains

The tool supports domains and subtypes editing in both modes. It verifies the inputs before pasting them into the attribute table. The data validation is better than the one of the standard ArcMap tools. For example with the standard Transfer Attributes tool values that are invalid for certain domains can be stored in fields that are using the domains. The Copy-Edit-Paste Attributes Tool honors all the restrictions imposed by:

  • Subtypes
  • Domains
    • Coded Values
    • Range Domains

Editing the attributes of SDE feature classes - Versions

The Copy-Edit-Paste Attributes Tool supports versions. It allows with any type of ArcGIS license editing the attributes of:

  • Registered as versioned feature classes. The version to be edited can be selected from the tool's dialog.
  • Not registered as versioned feature classes.

Locking the "Out of an editing session" (OES) mode

The OES mode allows editing attributes with an ArcView license datasets that a standardly editable only with the higher license options of ArcGIS. This feature can be of great benefit for many organizations (Why an expensive ArcEditor or ArcInfo license should be used just for attribute editing!). It however must be used responsibly. This is the reason the tool allows disabling of the OES mode.

The Admin tab on the tool's dialog allows disabling of the OES mode. Once a password is set only the user (Administrator) that has the password can enable/disable the OES mode. If the OES mode is enabled, the Administrator can set what feature classes will be editable in OES mode
  • SDE feature classes - enables the editing of the attributes of SDE feature classes (excluding feature classes participating in Topology or Geometric networks)
  • Other feature classes - enables the editing of attributes of SDE check-out databases, other personal GDB feature classes and shapefiles

The process of editing attributes:

  • Preparation
  1. Clicking on the tool will introduce the Copy-Edit-Paste Attribute dialog.
  2. On the Layers tab select the Source and Target layer.
    If the source and the target layer are the same the attributes the attributes between the features of the same layer will be transferred. This can be used for simple editing of the attributes of a feature class

    If the Source or Target layers are SDE layers and are registered as versioned, a combo box for setting the version to be used will be available. Selecting a version will change the source of the layer to the selected version.

    Note: If there are two or more layers with the same name in the TOC, only the first one will be used.

  3. On the Attributes tab of the dialog
    The user can map the source and target fields by selecting the fields from the target layer that correspond to each field of the source layer.

    Note: The fields that have the same names in the Source and Target layer will be automatically matched.

    The fields that will be used can be set by checking/un-checking the check boxes against the field names

    Only the fields from the same type of the Target layer will be available for matching with each field from the Source layer

  • Copy-Edit-Paste : Once the above three steps are complete the process can be as easy as :
1. Copy: Right click on a feature from the Source layer to copy its attributes.

Note:

One and only one feature from the Source layer should be selected with the right mouse button.
2. Edit: Edit the attributes in the dialog (if needed)

The values of the subtype and coded value domain fields can be set only by selecting allowed values from a combo box .

Only the values in the fields for which the "Use" check box is selected will be pasted to the target features.

3. Paste: The values in the dialog can be pasted to many features by:

  • Left Clicking on a feature from the Target layer
  • Selecting multiple features (standard selection methods) and clicking the "Paste To Selected" button

Notes:

  • If a field is nullable the value can be set to Null by typing <Null>, <null> or <NULL>
  • All the values typed in are are verified. An error message will be issued if the value entered for certain field is invalid.
  • All values copied from a feature source layer are verified when pasting. If there are invalid values they are ignored. The attributes of the target feature are updated only with the valid entries


ETPointAtt

Capture Point with Attributes Tool

Target layer: Point

Description: Add points to a point dataset. The values for the attributes of the added point will be populated from the assigned by the user values in the "Sketch with Attributes" dialog.

"Sketch with Attributes" dialog: Opens when the user clicks on the tool's button or on any mouse down event using the tool. Enables the user to add attributes before digitizing the new point.

  • The input values are verified before storing in the attribute table.
  • Subtypes and Domains are supported.
  • Null values can be entered by typing (if the field is nullable) <Null>, <null> or <NULL>.
  • Only the values in the checked fields are added to the attribute table
  • The values can be populated by clicking on an existing feature
  • The values are verified before populating the attribute table. The invalid for a specific fields values are ignored

Mouse Buttons:

  • Left button - used for digitizing new points
  • Right button - allows populating the checked fields in the "Sketch with Attributes" dialog with the attribute values of a existing point from the target layer.

Advantages:

  • Allows digitizing new points and simultaneously adding values for them in the attribute table - significantly increasing the performance when capturing new points.

Snapping: Supported. Uses the standard Editor snapping settings


ETPolylineAtt

Capture Polyline with Attributes Tool

Target layer: Polyline

Description: This is a multi-function tool. The polyline drawn will be added to the target layer depending on the user specified action. The values for the attributes of the added polyline will be populated from the assigned by the user values in the "Sketch with Attributes" dialog.

Functions: Use the ET GeoTools control panel (Polyline Edit Settings tab ==> Polyline Action) or hotkey "A" when the tool is active to select the action.

  • Add - behaves as the standard sketch tool. The main difference is that the values populated in the "Sketch with Attributes" dialog will be added to the attribute table for the new polyline.
  • Split - splits the existing polylines with the one drawn (nodes introduced in the places of intersection). Attributes update rules apply. Work exactly as the "Draw Polyline" tool. The values populated in the "Sketch with Attributes" dialog are not used. Better option is to use the "Draw polyline" tool.
  • Add & Split - the drawn polyline is added to the target layer. The existing polylines that intersect the digitized one are split (nodes added in the places of intersection). Attributes update rules apply for the existing and the newly added polyline

"Sketch with Attributes" dialog: Opens when the user clicks on the tool's button or on any mouse down event using the tool. Enables the user to add attributes before digitizing the new polyline.

  • The input values are verified before storing in the attribute table.
  • Subtypes and Domains are supported.
  • Null values can be entered by typing (if the field is nullable) <Null>, <null> or <NULL>.
  • Only the values in the checked fields are added to the attribute table
  • The values can be populated by clicking on an existing feature
  • The values are verified before populating the attribute table. The invalid for a specific fields values are ignored

Mouse Buttons:

  • Left button - used for sketching the polyline
  • Right button - allows populating the checked fields in the "Sketch with Attributes" dialog with the attribute values of a existing polyline from the target layer.

Advantages:

  • Allows digitizing new polylines and simultaneously adding values for them in the attribute table - significantly increasing the performance when capturing new polylines and assigning attributes for them

Hot Keys (Pressing these keys when the tool is active will allow changing the parameters used by the function):

  • "A" - sets the action to be performed
    • Add
    • Split
    • Add & Split

NOTE: The hot keys work only if the "Sketch with Attributes" dialog is closed. A better option is to adjust the settings in the ET GeoTools control panel.

Attribute Updates: The attributes will be updated according to the attribute update rules defined for the target layer. (see Setting Attribute Update Rules for more information)

Snapping: Supported. Uses the standard Editor snapping settings

Note: Switch ON the Draw Nodes tool to visualize the status of the node topology.

See also: "Draw Polyline" tool.


ETPolygonAtt

Capture Polygon with Attributes Tool

Target layer: Polygon

Description: This is a multi-function tool. The polygon drawn will be added to the target layer depending on the user specified action. The values for the attributes of the added polygon will be populated from the assigned by the user values in the "Sketch with Attributes" dialog.

Functions: Adds the digitized polygon to the target polygon layer. Use the ET GeoTools control panel (Polygon Edit Settings tab ==> Add Polygon Priority) or hotkey "A" when the tool is active to select the priority of the buffer polygon. See The concept of Polygon editing for description of priorities used.

"Sketch with Attributes" dialog: Opens when the user clicks on the tool's button or on any mouse down event using the tool. Enables the user to add attributes before digitizing the new polygon.

  • The input values are verified before storing in the attribute table.
  • Subtypes and Domains are supported.
  • Null values can be entered by typing (if the field is nullable) <Null>, <null> or <NULL>.
  • Only the values in the checked fields are added to the attribute table
  • The values can be populated by clicking on an existing feature
  • The values are verified before populating the attribute table. The invalid for a specific fields values are ignored

Mouse Buttons:

  • Left button - used for sketching the polygon
  • Right button - allows populating the checked fields in the "Sketch with Attributes" dialog with the attribute values of a existing polygon from the target layer.

Advantages:

  • Allows digitizing new polygons and simultaneously adding values for them in the attribute table - significantly increasing the performance when capturing new polylines and assigning attributes for them
  • Allows capturing new polygons and maintaining the correct topological relations between the new polygon and the existing polygons in the dataset

Hot Keys (Pressing these keys when the tool is active will allow changing the parameters used by the function):

  • "A" - sets priority for the polygon to be added. See The concept of Polygon editing
    • No Priority
    • Erase
    • Low
    • Standard
    • High

NOTE: The hot keys work only if the "Sketch with Attributes" dialog is closed. A better option is to adjust the settings in the ET GeoTools control panel.

Attribute Updates: The attributes will be updated according to the attribute update rules defined for the target layer. (see Setting Attribute Update Rules for more information)

Snapping: Supported. Uses the standard Editor snapping settings

See also:

  • "Draw Polygon" tool.
  • The concept of Polygon editing


ETCOGOTraverse

ET Traverse Tool

Description: A tool that facilitates the creation of polyline or polygon features using a set of survey measurements using ANY ArcGIS license (ArcView, ArcEditor or ArcInfo). This is complex tool that allows:

  • Creating new traverses from a wide variety of survey measurements:
    • Straight lines using
      • Direction - Distance
      • Angle - Distance
      • Delta X - Delta Y
      • X - Y
    • Curves using Chord Direction and any combination of Chord length, Radius, Arc Length and Central angle
    • Tangent Curves using any combination of Chord length, Radius, Arc Length and Central angle
  • Editing existing features using their traverses.
  • Creating copies of existing features and editing them using their traverses
  • Exporting newly created traverse or the traverse of an existing feature to a text file (ESRI traverse file format)
  • Importing traverse from a text file in ESRI traverse file format
  • Using in any of the functions above four different direction types and four different direction units
  • Saving the COGO features created together with their attributes
  • Calculate Misclosure (Version 9.4 and above)
  • Adjust Traverse using Compass rule. (Version 9.4 and above)

Notes:

  • It is very important that the Spatial References of the Data Frame and the Target layer set in the Editor are the same (or at least have the same Geographic Coordinate System)
  • The distance units used in the ET Traverse tool are these of the spatial reference of the dataset being edited.
  • The tool will be enabled only within an editing session
  • Version 9.4 and above: The users can specify the distance units of the inputs

See also:

  • COGO Traverse Dialog
  • How to use ET Traverse
  • Direction Types and Direction Units
  • Traverse File Format


ETCOGOTraverseDialog

ET Traverse Dialog

Clicking on the [image] button will introduce the Traverse dialog. This is a tabbed dialog with three tabs.

Common part of the ET Traverse dialog
  • Start Point panel
    • displays the coordinates of the Start Point of the current traverse
    • Set start point tool [image] allows setting the start point interactively by clicking on the map (snapping supported)
    • Set/Edit coordinates button [image] allows setting the start point by entering its coordinates
  • End Point panel - Displays the coordinates of the end point of the last course added to the traverse
  • Action panel - Indicates what action will be performed when pressing the Finish button.
    • ADD - the traverse will be added as a new feature to the Target layer
    • EDIT - the traverse will replace an existing feature. This action is available only if the current traverse was generated from an existing feature using the Get traverse tool [image] . Use the Toggle Action tool [image] to change the action from EDIT to ADD.
  • Finish button - Stores the current traverse as a feature in the Target layer set in the Editor.
Add Course Tab.

This tab has two main purposes:

1. Adjusting the settings for all ET COGO tools

  • the Direction type
  • the Direction units
  • Linear and angular precision (the number of digits after the decimal point to be used when storing linear or angular values)

These settings will be applied when using any of the ET COGO tools. More about Direction type and Direction units.

2. Adding new courses to a traverse.

See "How to use ET Traverse" topic

The Quick direction panel has three tools
  • Add [image] or Subtract [image] 90 degrees from the current direction. This tools allow creating a course at a right angle to the previous course
  • Get direction from feature tool [image] allows getting the direction of an existing feature.
  • In the Linear Units panel, the user can adjust the units to be used as input. The units of the spatial reference of the edited dataset are displayed. In the input box the user can enter the distance in Meters. The course length however will be calculated in Feet because the spatial reference of the edited dataset uses Feet.
View/Edit Traverse Tab

Displays a description for each course of the current Traverse. The direction values are recorded in the linear units of the spatial reference of the currently edited dataset.

The user can select a course by clicking on its description.

This tab has several tools for manipulating a traverse.

See also "How to use ET Traverse" topic

  • Delete Selected Course [image]. The same can be done by pressing the "Del" key
  • Edit Selected Course [image]. The tool opens a dialog populated with the parameters of the selected course. The values can be adjusted in order to modify the course. A double click on a course has the same action. If edit a course the input values must be in the units of the spatial reference of the target dataset.
  • Get the traverse of an existing feature [image] . The user can select with this tool any feature of the target layer. The traverse table will be populated with the courses of the selected feature. Note: The current direction type, direction units and precision will be used in the courses descriptions.
  • Import Traverse [image] . Imports a traverse from a text file. See file format for details.
  • Export Traverse [image]. Exports current traverse to a text file. See file format for details.
  • Toggle Action [image]. The standard action when using the Select feature - Get traverse tool [image] is EDIT. If one or more courses of the traverse are edited, pressing the Finish button will replace the feature which was selected with the modified traverse. The Toggle Action button changes the action to ADD - the modified traverse will be saved as a new feature
  • Zoom to traverse [image]. Zooms to the current traverse
  • Reset - [image] . Clears the traverse table
Attributes Tab

The fields of the attribute table of the Target layer set in the Editor are populated in the box. The user can enter the values to be stored for the feature that will be created with current traverse.

If Get traverse tool [image] is used. The values of the attributes of the selected feature are populated and can be modified.

Subtypes and Domains are supported.

Adjust Tab

On this tab you can calculate the Misclosure of the current traverse and adjust the traverse using the compass rule to close it. The adjustment can be done only if the end point of the traverse is known (Closed Traverse). There are two types of closed traverses:

  • Loop Traverse - the start and end point of the traverse is the same. Traverses representing polygons or closed polylines.
  • Link Traverse - the start and end points of the traverse are different.

1. If the traverse is Loop, the X and Y values are populated automatically. If you have a Link traverse, you need to enter the X and Y coordinates of the end point of the traverse in order to be able to calculate the Misclosure and Adjust the traverse.

2. Click Calculate Misclosure: the Misclosure will be reported in the units of the dataset and relative to the length of the traverse.

3. Click Adjust: The traverse will be adjusted using the Compass rule (also known as Bowditch rule). This rule applies a proportional adjustment, the distances between the stations are used in proportion to the total distance of the traverse. The result of the adjustment will be displayed as a graphic on the view.

4. If the results of the adjustment are acceptable, click Accept button. The adjusted traverse will be populated in the View/Edit Traverse tab.

5. Click the Finish button to add the traverse as a feature in the edited dataset.


ETCOGOHowTo

How to use ET Traverse

Create a new traverse

  1. Click the ET Traverse button [image] to open ET Traverse Dialog

  2. Activate the Add Course tab

  3. Adjust the Direction Type, Direction Units, Linear and Angular precision

  4. Set the Start Point of the traverse

    • input the coordinates using [image] or

    • use the Set Start Point tool [image] to set it by clicking on the map

  5. Select the type of course (Straight, Curve or Tangent Curve) from the combo box. Note: Tangent Curve cannot be used a a first course of a traverse

  6. Select the type of inputs to be used

    • Options for Straight Courses available

      • Direction-Distance

      • Angle - Distance (cannot be used for the first course of a traverse)

      • dX - dY - X and Y difference from the Start Point of the traverse or the end point of the previous course

      • X - Y - absolute X & Y of the end point of the course (can be set interactively using the available tool [image])

    • Options for Tangent and Non-tangent curves

      • Chord-Angle (Chord length - Central angle of the curve)

      • Chord-Arc (Chord length - Length of the Arc)

      • Chord-Radius (Chord length - Radius of the curve)

      • Arc-Angle (Length of the Arc - Central angle of the curve)

      • Arc-Radius (Length of the Arc - Radius of the curve)

      • Radius-Angle (Radius of the curve - Central angle of the curve)

  7. Fill the values for each input

  8. Click the Add Course button the course will be added to the Traverse Table (View/Edit Traverse tab) and as a graphic to the view.

Repeat the steps from 5 to 8 to add more courses.

Once all courses have been added to the traverse, click the Finish button to add the traverse to the Target layer.

See also Close/Adjust traverse.

Notes:

  • At any time you can switch to the View/Edit Traverse tab to view the descriptions of the courses, delete or edit one or more courses.

  • You can edit the Start Point of the traverse at any time

  • Use the tools on the Quick Direction panel to set the direction for perpendicular courses or get direction from an existing feature (the direction of the closest segment to the point clicked will be used)

  • If you want to save some attributes together with the traverse - activate the Attributes tab and input the values.

  • Since the Shapefiles cannot store true arcs, if the source of the target layer is a Shapefile the arcs will be converted to their linear approximation.

Edit an existing feature using its traverse.

  1. Activate View/Edit Traverse tab

  2. Use the Get Traverse tool [image] to select a feature from the Target layer. The description of all the courses participating in the geometry of the feature will be populated in the Traverse Table.

  3. Modify one or several courses

    • Edit course (double click on a course or select a course and click [image] button)

    • Delete course (select a course and press "Del" or click [image] button)

    • Add course to the end of the traverse

    • Change the Start Point ( [image] button or [image] tool)

    • Modify attributes (go to Attributes tab)

  4. When happy with the edits click the Finish button to save the changes.

Make a duplicate of an existing feature using its traverse.

  1. Activate View/Edit Traverse tab

  2. Use the Get Traverse tool [image] to select a feature from the Target layer. The description of all the courses participating in the geometry of the feature will be populated in the Traverse Table.

  3. Click the Toggle action button [image]. The action (top right corner of the dialog) will change from EDIT to ADD. This indicates that the current traverse will be saved (on clicking the Finish button) to a new feature

  4. Modify one or several courses

    • Edit course (double click on a course or select a course and click [image] button)

    • Delete course (select a course and press "Del" or click [image] button)

    • Add new course to the end of the traverse

    • Change the Start Point ( [image] button or [image] tool)

    • Modify attributes (go to Attributes tab)

  5. When happy with the edits click the Finish button to save the new feature

Export current traverse.

  1. Activate View/Edit Traverse tab

  2. Click on the Export Traverse button

  3. Select output folder and a file name

  4. Click Save

Note: You can export the traverses of existing features - Use the Get Traverse tool [image] to select a feature from the Target layer. Then follow the procedure above

Importing traverses from a text file.

  1. Activate View/Edit Traverse tab

  2. Click on the Import Traverse button

  3. Select a traverse file

  4. Click Add

Note: Check the format of the Traverse File

Close- Adjust traverses

  1. Activate the Adjust tab.
  2. If the traverse is Loop, the X and Y values are populated automatically. If you have a Link traverse, you need to enter the X and Y coordinates of the end point of the traverse in order to be able to calculate the Misclosure and Adjust the traverse.
  3. Click Calculate Misclosure: the Misclosure will be reported in the units of the dataset and relative to the length of the traverse.
  4. Click Adjust: The traverse will be adjusted using the Compass rule (also known as Bowditch rule). This rule applies a proportional adjustment, the distances between the stations are used in proportion to the total distance of the traverse. The result of the adjustment will be displayed as a graphic on the view.
  5. If the results of the adjustment are acceptable, click Accept button. The adjusted traverse will be populated in the View/Edit Traverse tab.


ETCOGODirectionUnits

COGO Direction Types and Direction Units

All ET COGO tools use four different direction types and four different direction units. The user can set the direction type and direction units on the Add Course tab of the ET Traverse dialog.

Direction Types:

Polar - angles are measured counterclockwise starting from East
North Azimuth - angles are measured clockwise starting from North
South Azimuth - angles are measured clockwise starting from South
Quadrant Bearing - angles are measured starting from either from South or from North toward East or West. For example S 33 E defines an angle of 33 degrees from South toward East.

Direction Units:

  • Decimal Degrees (One degree is equal to 1/360 of a circle)
  • Degrees Minutes Seconds ( Same as above but the fractions are measured in Minutes - 1/60 of a degree and Seconds - 1/3600 of a degree)
  • Radians (2Pi radians make a full circle)
  • Gradians (One gradian is equal to 1/400 of a circle)
  • Gon - Gons - used in some European countries (One gon is equal to 1/400 of a circle)

A combination of any Direction Type and any Direction Unit can be used with ET COGO tools


ETCOGOTraverseFileFormat

COGO Traverse File Format

The format of the text files that are exported by ET Traverse tool and that can be imported in the ET Traverse tool is the same as the standard ESRI traverse file format. The only difference is that ET Traverse tool does not support Radial and Tangent directions of curves (only Chord direction is supported.

Note: Since the standard ESRI traverse tool (ArcEditor and ArcInfo only) does not support creation of straight segments using dX & dY and X & Y, such courses created with the ET Traverse tool are converted to Direction - Distance courses when exporting to a traverse file.

Sample of traverse file

DT P
DU DD
SP -2277906.7 348745.61
DD 315.0000 100
AD 45 50
NC C 100 D 60 C 45.0000 L
TC C 66 D 23.5 R

DT Direction Type
  • P - Polar
  • NA - North Azimuth
  • SA - South Azimuth
  • QB - Quadrant Bearing

Example: DT P

DU Direction Units
  • DD - Decimal Degrees
  • DMS - Degrees Minutes Seconds
  • Rad - Radians
  • Grad - Gradians or Gons

Example: DU DD

SP Start Point

Example: SP -2277906.7 348745.61

DD Straight course Direction - Distance

Example: DD 315.0000 100

AD Straight course Angle - Distance. Cannot be the first course of a traverse

Example: AD 45 50

NC Non-tangent curve
Token 2:
  • D - Central angle of the curve
  • A - The length of the Arc
  • C - Chord length
  • R - Radius of the curve

Token 3: The value for the above

Token 4:

  • D - Central angle of the curve
  • A - The length of the Arc
  • C - Chord length
  • R - Radius of the curve

Token 5: The value for the above

Token 6:

  • C - Chord direction

Token 7: The value for the above

Token 8: Direction of the curve

  • L - Left
  • R - Right

Example:

NC C 100 D 60 C 45.0000 L

TC Tangent Curve - Cannot be the first course of a traverse

Token 2:

  • D - Central angle of the curve
  • A - The length of the Arc
  • C - Chord length
  • R - Radius of the curve

Token 3: The value for the above

Token 4:

  • D - Central angle of the curve
  • A - The length of the Arc
  • C - Chord length
  • R - Radius of the curve

Token 5: The value for the above

Token 6: Direction of the curve

  • L - Left
  • R - Right

Example:

TC C 66 D 23.5 R


ETCOGOInverse

ET COGO Inverse Tool

Target layer: Polyline

Description: Drag a selection box.

  • The features that are intersected by the selection box will be converted to single segmented polylines.
  • If the attribute table of the Target layer has COGO fields added (See Add COGO Fields), the COGO attributes will be populated for each single segmented polyline created
    • Straight Segments
      • [Direction] - the direction of the segment.
      • [Distance] - the length of the segment
      • [XStart] - X coordinate of the start point of the segment
      • [YStart] - Y coordinate of the start point of the segment
    • Circular segments
      • [Direction] - the direction of the Chord.
      • [Distance] - the Chord length
      • [Delta] - the central angle of the circular arc in degrees
      • [Radius] - the radius of the circular arc
      • [Tangent] - the distance from the Start/End points of the circular arc to the intersection point of the tangents
      • [ArcLength] - the length of the circular arc
      • [Delta] - the central angle of the circular arc
      • [Side] - the side of the circular arc compared with the tangent in the start point
      • [XStart] - X coordinate of the start point of the circular arc
      • [YStart] - Y coordinate of the start point of the circular arc

Notes:

  • The tool will be enabled only within an editing session
  • The Direction Type and Direction Units set in the ET Traverse dialog will be used
  • The Lengths and distances are measured in the units of the spatial reference of the layer
  • The Precision of the values (the number of digits after the decimal point) is defined by the fields definitions.
  • The distance units used in the ET Traverse tool are these of the spatial reference of the dataset being edited.

See also:

  • COGO Traverse Dialog
  • Add Cogo Fields command


ETCOGOAddCogoFields

ET Add COGO Fields

Target layer: Polyline

Description: Adds fields for COGO attributes to the attribute table of a polyline feature class. Clicking on the button will open a dialog that will let the user to select a layer to which attribute table the COGO fields will be added.

List of the fields that will be added

  • [Direction] - Text - direction of a straight segment or direction of the Chord of a circular arc.
  • [Distance] - Double - the length of a straight segment or the length of the Chord of a circular arc
  • [Delta] - Double - the central angle of the circular arc in degrees
  • [Radius] - Double - the radius of the circular arc
  • [Tangent] - Double - the distance from the Start/End points of the circular arc to the intersection point of the tangents
  • [ArcLength] - Double - the length of the circular arc
  • [Delta] - Double - the central angle of the circular arc
  • [Side] - Text - the side of the circular arc compared with the tangent in the start point
  • [XStart] - Double - X coordinate of the start point of a straight segment or a circular arc
  • [YStart] - Double - Y coordinate of the start point of a straight segment or a circular arc

Notes:

  • The Precision of the fields (the number of digits after the decimal point) is defined by the current settings in the ET Traverse dialog.
  • If a field name already exists in the attribute table, it will not be overwritten.
  • The command will be enabled only when outside of an editing session

See also:

  • COGO Traverse Dialog
  • ET COGO Inverse tool


ETFeatures2Graphics

ET Feature To Graphics Tools

Description: The tools convert the features from the layer selected in the ET Graphics layer to graphics. The graphics are added to the view using the default symbols. The user can optionally assign names for the graphics to be created:

  • By selecting a source field from the attribute table of the layer. The values in this field will be used for naming the graphics.
  • By typing the name in the box provided

Toolbar:

Tools:

Icon | Tool Name | Source Layer | Description
 | Features To Graphics | Any | Converts the geometries of the selected features to graphic elements.
 | Polygon Centroids | Polygon | Converts the centroids of the selected polygons to graphic points.
 | Feature Vertices to Graphics | Polygon, Polyline | Converts the vertices of the selected features to graphic points
 | Feature Envelopes to Graphics | Polygon, Polyline, Point | Converts selected features to graphics representing their envelopes. For point source layers, one envelope is created for all selected points
 | Features to Convex Polygon Graphics | Polygon, Polyline, Point | Converts selected features to graphics representing their convex hulls. For point source layers, one convex polygon is created for all selected points
 | Features to Bounding Circle Graphics | Polygon, Polyline, Point | Converts selected features to graphics representing their minimum bounding circles. For point source layers, one bounding circle is created for all selected points
 | Features to Bounding Rectangles Graphics | Polygon, Polyline | Converts selected features to graphics representing their minimum bounding rectangles. The rectangles are aligned with the longest axis of the geometry
 | Features to Equal Area Circle Graphics | Polygon | Converts selected features to graphic circles that have area equal to the area of the polygons. The center of the circle is the centroid of the polygon.
 | Buffer Graphics | Polygon, Polyline, Point | Creates graphics representing selected features buffered with the user specified buffer distance. The buffer distance should be in the units of the spatial reference of the source layer. Press "S" key to set buffer distance
 | Graphic Point at distance along | Polygon, Polyline | Creates a graphic point at user specified distance along polyline or polygon boundary Press "S" key to set distance along the polyline.
 | Random Point Graphics in Polygon | Polygon | Creates random user specified number of points in selected polygons. Press "S" key to set the number of points per polygon to be created.
 | Random Point Graphics on Polyline | Polygon, Polyline | Creates random user specified number of points on selected polylines or the boundaries of selected polygons. Press "S" key to set the number of points per polyline to be created.


ETSelectGraphics

ET Select Graphics by Name and Type

Description: Selects graphic elements by graphic name and type.

  • Upon executing the command all graphics in the view are collected. The unique names are populated in a combo box and the user can select a name from the list or type one. If the Graphic Name box is left empty, all graphics will be considered in the selection criteria.
  • The types of available graphics are populated in the graphic type combo box
  • There are three selection options
    • New Selection
    • Add To Selection
    • Remove From Selection
  • The user has options to quickly delete or group selected graphics.


ETSetGraphicsName

ET Set names for selected graphics

Description: Nothing much to explain.


ET Graphics To Features

Open Table of Contents

Target layer: Polyline, Polygon, Point

Description: This is a multi-function tool. Converts the graphics available in the view to features and uses them for different actions to be applied to the target edited layer.

  • The user can select whether all or just selected graphics to be converted.
  • Graphics with different geometry types can be added to the target layer simultaneously:
    • Target layer - Polygon - Polygon & Polyline graphics
    • Target layer - Polyline - Polygon & Polyline graphics
    • Target layer - Point - Point Graphics
  • The user can specify action for each type of graphic. The actions available depend on the type of the target edited layer.
  • The number of graphics (All and Selected) is displayed for each graphic type
  • The user can specify whether the graphics to be deleted after the conversion.
  • The spatial references of the data frame and the target edited layer must be the same (or at least have the same Geographic Coordinate System). The spatial reference of the graphics is considered to be the same as the one of the data frame
  • If the graphic element is of Ellipse type, it is densified prior the conversion.

Functions: Depending on the geometry type of the source source graphics & target layer:

  • Source Graphic - Polygon
    • Target layer - Polyline with Action set to:
      • Add - adds the outline of the polygon graphics as a polyline to the target polyline layer
      • Split - splits the existing polylines with the outline of the polygon graphics (nodes introduced in the places of intersection). Attributes update rules apply
      • Add & Split - the outline of the polygon graphics is added to the target layer. The existing polylines that intersect the outline of the polygon graphics are split (nodes added in the places of intersection). Attributes update rules apply
      • Erase - the polylines or parts of them that are inside the polygon graphics are erased. Attributes update rules apply
      • Erase & Add - the polylines or parts of them that are inside the polygon graphics are erased. The outline of the drawn polygon is added to the polyline layer. Attributes update rules apply
    • Target layer - Polygon - Adds the selected polygons to the target polygon layer with the user selected priority. See The concept of Polygon editing for description of priorities used.
  • Source Graphic - Polyline
    • Target layer - Polyline with Action set to:
      • Add - just copies the polylines graphics as features to the target layer
      • Split - splits the existing polylines from the target layer with the polyline graphics (nodes introduced in the places of intersection). Attributes update rules apply
      • Add & Split - the polyline graphics are added to the target layer. The existing polylines from the target layer that intersect the polyline graphics are split (nodes added in the places of intersection). Attributes update rules apply
    • Target layer - Polygon - with Action set to:
      • Buffer and Add - Adds the polyline graphics (buffered with user specified buffer distance) to the target polygon layer with selected priority in the Convert Polygon Graphics panel. See The concept of Polygon editing for description of priorities used.
      • Cut - Cuts the polygons using the polyline graphics. The attributes are transferred using the user defined attribute update rules. Note: Only the polygons that do no contain polyline ends will be cut.
  • Source Graphic - Point. Target layer must be a point layer.

Advantages:

  • See functions above


ETPolylineCharacteristics

plChar

Polyline Characteristics Tool

Target layer: No need of editing session. The target layer is of Polyline type and needs to be selected in order to use the tool. If no target layer is set, a dialog allowing selection of a layer will be introduced. Only the visible polyline layers will be available for selection.

Description: On clicking with the tool on a polyline, a dialog will open listing several characteristics of the polyline:

  • Start X - the X coordinate of the start point of the polyline
  • Start Y - the Y coordinate of the start point of the polyline
  • End X - the X coordinate of the end point of the polyline
  • End Y - the Y coordinate of the end point of the polyline
  • Length
  • General Direction - the general direction of the polyline - the direction in decimal degrees measured in North Azimuth of the line connecting the start and end points of the polyline (see illustration below).
  • Number Parts - the number of parts that the polyline has.
  • Number Vertices - the number of vertices that describe the polyline
  • Number Vertices - the number of segments in the polyline
  • Has Arcs - True if the polyline has segments that are true arcs.
  • Sinuosity - the sinuosity of the polyline calculated as ratio of the length of the polyline and the length of the line connecting the start and end points of the polyline. The value ranges from 1 (case of straight line) to infinity (case of a closed polyline). In case of infinity a 0 is recorded in the attribute table. See illustration below.
  • Closed - True if the polyline is closed

If the Polyline layer has Z values (PolylineZ) additional characteristics are calculated and displayed:

  • 3D Length - the true 3D length of the polyline
  • Max Z - Maximum Z value
  • Min Z - Minimum Z value
  • Length Uphill - total length of segments for which the Z value of the end point is larger than the Z value of the start point.
  • Length Downhill - total length of segments for which the Z value of the end point is smaller than the Z value of the start point.
  • Max Slope Uphill - maximum slope uphill
  • Max Slope Downhill - maximum slope downhill
  • Average Slope Uphill - average slope uphill
  • Average Slope Downhill - average slope downhill

Usage:

  • Select the Polyline Characteristics Tool
  • Press the "S" key to elect a layer.
  • Click on a polyline from the selected layer.

Hot Keys :

  • "S" - sets the chamfer distance

Example:

Illustration
illus


ETPolygonCharacteristics

pgChars

Polygon Characteristics Tool

Target layer: No need of an editing session. The target layer is of Polygon type and needs to be selected in order to use the tool. If no target layer is set, a dialog allowing selection of a layer will be introduced. Only the visible polygon layers will be available for selection.

Description: On clicking with the tool on a polygon, a dialog will open listing several characteristics of the polygon:

  • Perimeter
  • Length - the length of the longest axis in the units of the Spatial Reference of the input feature class.
  • Width - the length of shortest side of the bounding rectangle aligned with the longest axis in the units of the Spatial Reference of the input feature class.
  • Thickness - Thickness ratio expressed as a ratio of the polygon area versus the area of its minimum bounding square. The ratio will have value of 1 for a square. The smaller the value is, the thinner the polygon is.
  • Circularity - Circularity ratio - for a circle the circularity will be 1. The thinner the polygon is the smaller the circularity will be.
  • Number Parts - the number of parts that the polygon has.
  • Number Holes - the number of holes in the polygon.
  • Has Arcs - True if the polygon has segments that are true arcs.
  • Number Vertices - the number of vertices that describe the polygon

If the Polygon layer has Z values (PolygonZ) additional characteristics are calculated and displayed:

  • 3D Length - the true 3D length of the polygon boundary
  • Max Z - Maximum Z value
  • Min Z - Minimum Z value
  • Length Uphill - total length of segments for which the Z value of the end point is larger than the Z value of the start point.
  • Length Downhill - total length of segments for which the Z value of the end point is smaller than the Z value of the start point.
  • Max Slope Uphill - maximum slope uphill
  • Max Slope Downhill - maximum slope downhill
  • Average Slope Uphill - average slope uphill
  • Average Slope Downhill - average slope downhill

Usage:

  • Select the Polygon Characteristics Tool
  • Press the "S" key to elect a layer.
  • Click on a polygon from the selected layer.

Hot Keys :

  • "S" - sets the chamfer distance

Example:

Illustration


ETSegmentCharacteristics

segment

Segment Characteristics Tool

Target layer: No need of editing session. The target layer is of Polyline or Polygon type and needs to be selected in order to use the tool. If no target layer is set, a dialog allowing selection of a layer will be introduced. Only the visible polyline layers will be available for selection.

Description: On clicking with the tool on a polyline or a polygon the tool will find the closest segment , a dialog will open listing several characteristics of the segment:

  • Start X - the X coordinate of the start point of the segment
  • Start Y - the Y coordinate of the start point of the segment
  • End X - the X coordinate of the end point of the segment
  • End Y - the Y coordinate of the end point of the segment
  • Start Position - the position of the start point of the segment along the polyline (polygon boundary) length (in the units of the spatial reference of the selected layer).
  • End Position - the position of the end point of the segment along the polyline (polygon boundary) length (in the units of the spatial reference of the selected layer).
  • Segment Index - the position of the segment amongst the segments of the polyline (polygon boundary). First segment - Index = 0, last segment - Index = Number of segments -1
  • Segment type - the geometry type of the segment - depending on the geometry of the segment different characteristics are displayed
    • Straight
      • Length - the length of the segment.
      • Direction - in decimal degrees and "North Azimuth" notation
    • Circular Arc
      • Chord Length
      • Chord Direction- in decimal degrees and "North Azimuth" notation
      • Central Angle
      • Side - "Left" or "Right"
    • Elliptic
      • Length
      • Central Angle
      • From Angle
      • To Angle

If the selected Polyline or Polygon layer has Z or/and M values (PolylineZM, Polygon ZM) additional characteristics are calculated and displayed:

  • Z Start - the Z value of the start point of the segment.
  • Z End - the Z value of the end point of the segment.
  • M Start - the M value of the start point of the segment.
  • M End - the M value of the end point of the segment.

Usage:

  • Select the Segment Characteristics Tool
  • Press the "S" key to elect a layer.
  • Click on a polygon/polyline from the selected layer.

Hot Keys :

  • "S" - sets the chamfer distance


ETIdentifyPointOnPolyline

IdentifyPoint

Identify Point on Polyline Tool

Target layer: No need of editing session. The target layer is of Polyline or Polygon type and needs to be selected in order to use the tool. If no target layer is set, a dialog allowing selection of a layer will be introduced. Only the visible polyline layers will be available for selection.

Description: On clicking with the tool on a polyline or a polygon the tool will find the closest point from the polyline/polygon boundary , a dialog will open listing several characteristics of the point:

  • X - the X coordinate of the closest point.
  • Y - the Y coordinate of the closest point.
  • Position - the position of the point along the polyline (polygon boundary) length (in the units of the spatial reference of the selected layer).
  • Position as ratio - the position of the point along the polyline (polygon boundary) expressed as ratio. Start Point - value = 0, Mid Point - value = 0.5, End Point - value = 1
  • Direction - the direction of the polyline (polygon boundary) at the point location - in decimal degrees and "North Azimuth" notation

If the selected Polyline or Polygon layer has Z or/and M values (PolylineZM, Polygon ZM) additional characteristics are calculated and displayed:

  • Z - the Z value of the closest point of the polyline(polygon boundary).
  • M - the M value of the closest point of the polyline(polygon boundary).

Usage:

  • Select the Identify Point Tool
  • Press the "S" key to elect a layer.
  • Click on a polygon/polyline from the selected layer.

Hot Keys :

  • "S" - sets the chamfer distance


List of Hot Keys Used in ET GeoTools

Fuzzy Tolerance

What is Fuzzy tolerance? Fuzzy tolerance is an extremely small distance insignificant for the precision of your dataset. It represents the minimum distance between vertices. If vertices are found closer to each other than the Fuzzy Tolerance they are snapped together.

Why do we need to use it? There is a limitation in the precision with which we can represent the numbers, so in many cases the numbers need to be rounded in order to be used in the calculations. Imagine that we want to split two intersecting polylines and create a node in the intersection. We find the intersection point (the coordinates are rounded), then we split each polyline with the intersection point found. The coordinates of the split point for each polyline are rounded again. As a result the two split points might not coincide exactly. The fuzzy tolerance is used to snap these two points together in order to ensure correct topological relationships between the two (after the splitting - four) polylines.

What Fuzzy tolerance should I use? The default Fuzzy tolerance in ET GeoTools is calculated from the extents of the layer using the formulae (W + H) / 2000000 where W and H are the with and height of the extent envelope. The larger values of the Fuzzy tolerance used the more the original shapes are approximated in order to snap to each other. If the fuzzy tolerance is too small, some of the problems of the data might not be fixed. The best option is to use Fuzzy tolerance close to the default and then clean the remaining problems with the tools available.


ET GeoTools User Guide

This page uses frames, but your browser doesn't support them.


ETGT_Index

ET GeoTools Home

What Is ET GeoTools

Installation

How To Register

ET GeoTools and projections

Getting Started

Control Panel

  • Attribute Rules
  • Polyline Settings
  • Polygon Settings
  • Draw Settings
  • About

List of Hot Keys

ET Commands

Polyline Tools

  • Draw Duplicate Polylines
  • Draw Arrows
  • Draw Vertices
  • Extend Polyline
  • Intersect Polylines
  • Clean Dangles
  • Remove Redundant Nodes
  • Flip
  • Clean Pseudo Nodes
  • Remove Duplicates
  • Offset Single
  • Offset Double
  • Offset Multi
  • Split In Point
  • Split In Closest Vertex
  • Split In Middle Point
  • Split In All Vertices
  • Split At Distance
  • Generalize
  • Densify
  • Densify By Angle
  • Smooth Bezier
  • Smooth B-Spline
  • Smooth T-Spline
  • Reshape Polyline

Sketch Tools

  • Draw Polyline
  • Draw Polygon
  • Draw T-Spline
  • Draw Circle
  • Draw Donut
  • Draw Pie Segment
  • Draw Rectangle
  • Draw Regular Polygon

Polygon Tools

  • Reshape
  • Draw Overlaps
  • Clean Overlaps
  • Draw Gaps
  • Fill Gaps
  • Merge Polygons

Common Tools

  • Draw Nodes
  • Copy features from other layer
  • Explode
  • Quick Delete
  • Move Shared Node
  • Insert Vertex
  • Delete Multiple Vertices

Selection Tools

  • Select By Box
  • Select By Polygon
  • Select By Polyline
  • Select By Circle

Miscellaneous Toolbar

  • ET Draw Duplicate Points
  • ET Delete Duplicate Points
  • Identify Non Simple Ms
  • Chamfer at Vertex
  • Chamfer at All Vertices
  • Fillet at Vertex
  • Fillet at All Vertices
  • Rectangular Array
  • Move Shapes
  • Copy Shapes
  • Split Polygon By Area
  • Square Polygon Angles

Attributes Toolbar

  • Copy-Edit-Paste attributes
  • Capture Point with Attributes
  • Capture Polyline with Attributes
  • Capture Polygon with Attributes

COGO Toolbar

  • ET Traverse
  • ET Traverse Dialog
  • How to use ET Traverse
  • Direction Types and Units
  • Traverse File Format
  • ET COGO Inverse
  • ET Add COGO Fields

Graphics Toolbar

  • Features To Graphics Tools
  • Select Graphics
  • Set Names for Graphics
  • Graphics To Features


The concept of Polygon editing

The concept of Polygon editing used in ET GeoTools

The Reason: ArcGIS uses several data structures - shapefile, Geodatabase(GDB), coverage. Only the coverage model supports explicit topology - the polygons are described as sets of arcs and there is no duplication on the boundary between to adjacent polygons. The coverage model however is apparently obsolete, ArcGIS 8.3 does not support coverage editing! In the shapefile and GDB models each polygon is described separately - there is a duplication on the boundary between two adjacent polygons. This allows creating polygons that overlap each other or adjacent polygons with gaps between them. The Topology introduced in ArcGIS 8.3 gives some tools (most of them available for ArcEditor and ArcInfo users only) to identify and fix topology problems. The question that stays is: "Isn't it better to avoid the problems than to spend time and efforts to find and fix them?". Using snapping when digitizing new polygons can solve the problem to certain extent, but imagine digitizing a polygon adjacent to an existing one with 1000 vertices! What about copying a polygon from one layer to another?

The concept: ET GeoTools inherits the concept of adding new polygons introduced in EditTools for ArcView 3.x. Any editing operation (digitizing a new polygon, coping polygon from another layer, reshaping existing polygon, ...) on a polygon layer complies with the user defined PRIORITY of the new (edited) feature and in this way how this feature will interact with the existing adjacent polygons. See the table below for a description of the priorities used.

The priority to be used can be set in the ET GeoTools control panel or using the hotkey "A" when one of the tools that adds a new polygon to a layer is active.

Input | Result Priority = "No Priority" Same as the standard tool - does not care about relationships with the existing polygons | Result Priority = "Erase" the existing polygons are erased with the new polygon
Result Priority = "Low" Only the portions of the new polygon that do not overlap with existing polygons are added to the layer | Result Priority = "Standard" Creates intersections where the new polygon intersects existing one. The intersection polygons do not carry attributes. | Result Priority = "High" The entire new polygon is added to the layer. The overlapping areas are erased from the existing polygons.


ET Validate Edits

Target layer: Polyline, Polygon, Point

Description: In ArcGIS 9.2 a per feature class XY Tolerance was introduced when working with geodatabase feature classes. All editing tasks performed on Personal and File Geodatabase feature classes are influenced by this tolerance. In essence all the coordinates are snapped to a coordinate grid defined for each feature class. In other words ArcGIS considers the coordinates that a closer then the XY Tolerance equal. This might be OK when the data is manipulated in ArcGIS, but if you want to export the data for use in some other package, there might be some inconsistencies.

The Validate Edits command goes through each feature of the edited dataset and ensures that all the coordinates are snapped to the coordinate grid.

Suggested workflow:

  • In the ET GeoTools Control Panel ==> Draw Tab ==> Draw Nodes panel, uncheck the "Use true coordinates comparison" check box. This will force the Draw Nodes tool to use the precision of the edited dataset for coordinate comparison.
  • Do your edits.
  • When you want to finalize your data, go to the Control Panel and check the "Use true coordinates comparison" check box. If there is a difference between the nodes displayed (some regular nodes are shown as dangles) run the Validate Edits command.